GNU bug report logs - #44554
27.1; Feature request: SRFI-62 style comments for Emacs Lisp.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Vladimir Nikishkin <lockywolf@HIDDEN>; dated Tue, 10 Nov 2020 14:05:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 12 Nov 2020 20:44:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 12 15:44:21 2020
Received: from localhost ([127.0.0.1]:45750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdJS7-0005MJ-UN
	for submit <at> debbugs.gnu.org; Thu, 12 Nov 2020 15:44:21 -0500
Received: from aserp2120.oracle.com ([141.146.126.78]:57818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kdJS4-0005M4-CE
 for 44554 <at> debbugs.gnu.org; Thu, 12 Nov 2020 15:44:19 -0500
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0ACKdsBY180418;
 Thu, 12 Nov 2020 20:44:06 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=lCfQIoTwvby3Lr79PVZC0wmQ2CUfre2JIYr6by4HQHA=;
 b=EnLXGIZRKacUYJ8QT664lIzTl4Xicf2NsWpFYphYoTNKjeom0LoPCjHmPBlfF1TnjAY+
 ABMYKq2psHjtXhYRjdgzR535P9DzmbmjRisnDva4bidehjsCCexmiRQQCJBjsvsXfq8U
 ZzzLlIBiEvbOoucdV+SbrAzatUXKDW/cl2RVgqI96jtYzuzgRqv5M/Pv0AcxdUu0HhzU
 mBb5Hxel/fcmmzj6UKm5yeI58hzRRZpcOahe2yUFkzVtLJD2qh3VtwTNI3KmcBYvYE+d
 0J6L2AD3IJzDG/sDtMVDmXDMKyF1t7KYm3Ftu6j9P9jsMg720+m+EwwwbvBU3lQA/PLv hw== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by aserp2120.oracle.com with ESMTP id 34nkhm7hap-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Thu, 12 Nov 2020 20:44:06 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0ACKfKCq151383;
 Thu, 12 Nov 2020 20:44:06 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by aserp3030.oracle.com with ESMTP id 34p55rvahg-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 12 Nov 2020 20:44:06 +0000
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id 0ACKi3Fr021696;
 Thu, 12 Nov 2020 20:44:03 GMT
MIME-Version: 1.0
Message-ID: <78b225bc-08c4-4209-9072-cb47a2390759@default>
Date: Thu, 12 Nov 2020 12:44:01 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: RE: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
References: <4282B0B6-7580-4066-9BAD-369EAD238E2C@HIDDEN>
 <CA+A2iZYWqv+EC4HAtpwkw2t9RY81erzyAWM4RkhMZta3y00TxA@HIDDEN>
 <CC0FE078-E3FB-4F6F-AFB1-E719DF280F95@HIDDEN> <87pn4iagd6.fsf@HIDDEN>
 <b0d26ad1-08fc-4261-a463-4cb2212b035b@default>
 <87zh3m72tx.fsf@HIDDEN>
In-Reply-To: <87zh3m72tx.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5071.0 (x86)]
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9803
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 spamscore=0 phishscore=0
 mlxlogscore=999 mlxscore=0 malwarescore=0 bulkscore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2011120121
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9803
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 phishscore=0
 priorityscore=1501
 mlxscore=0 suspectscore=0 mlxlogscore=999 lowpriorityscore=0 spamscore=0
 malwarescore=0 adultscore=0 clxscore=1015 bulkscore=0 impostorscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2011120121
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44554
Cc: =?iso-8859-1?B?TWF0dGlhcyBFbmdkZWflcmQ=?= <mattiase@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>, 44554 <at> debbugs.gnu.org,
 Vladimir Nikishkin <lockywolf@HIDDEN>, Richard Stallman <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > If we had reader macros, and more generally a
> > user-configurable reader, like Common Lisp, then
> > maybe (?) users could adapt (e.g. disable or
> > whatever) such new constructs programmatically,
> > with Lisp.
>=20
> I don't know if there is such a feature as transcompiling in Common
> Lisp
> https://urldefense.com/v3/__https://en.wikipedia.org/wiki/Source-to-
> source_compiler__;!!GqivPVa7Brio!LRZ90JJlz_AJMQw1M9NIPUgK3V76G9TDlhLoGz
> KzsknMnjUYOaJNZ1i8rwnHKDDn$
> but it should be possible to create a transpiler package that could
> help to load Emacs Lisp files with newer syntax in older Emacs versions.

Interesting; thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 12 Nov 2020 20:24:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 12 15:24:49 2020
Received: from localhost ([127.0.0.1]:45727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdJ99-0004rg-CL
	for submit <at> debbugs.gnu.org; Thu, 12 Nov 2020 15:24:49 -0500
Received: from relay1-d.mail.gandi.net ([217.70.183.193]:44541)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1kdJ96-0004rQ-Ad
 for 44554 <at> debbugs.gnu.org; Thu, 12 Nov 2020 15:24:42 -0500
X-Originating-IP: 91.129.97.46
Received: from mail.gandi.net (m91-129-97-46.cust.tele2.ee [91.129.97.46])
 (Authenticated sender: juri@HIDDEN)
 by relay1-d.mail.gandi.net (Postfix) with ESMTPSA id 4084C240002;
 Thu, 12 Nov 2020 20:24:30 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
Organization: LINKOV.NET
References: <4282B0B6-7580-4066-9BAD-369EAD238E2C@HIDDEN>
 <CA+A2iZYWqv+EC4HAtpwkw2t9RY81erzyAWM4RkhMZta3y00TxA@HIDDEN>
 <CC0FE078-E3FB-4F6F-AFB1-E719DF280F95@HIDDEN>
 <87pn4iagd6.fsf@HIDDEN>
 <b0d26ad1-08fc-4261-a463-4cb2212b035b@default>
Date: Thu, 12 Nov 2020 22:11:22 +0200
In-Reply-To: <b0d26ad1-08fc-4261-a463-4cb2212b035b@default> (Drew Adams's
 message of "Thu, 12 Nov 2020 10:16:42 -0800 (PST)")
Message-ID: <87zh3m72tx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44554
Cc: Mattias =?iso-8859-1?Q?Engdeg=E5r?= =?iso-8859-1?Q?d?= <mattiase@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>, 44554 <at> debbugs.gnu.org,
 Vladimir Nikishkin <lockywolf@HIDDEN>, Richard Stallman <rms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> > No, not without modification. For example, #; would be treated as #
>> > and a comment removing the rest of the line by most existing lexers.
>> > And it's not just my code.
>> 
>> Sure, it would be a new feature, and older lexers wouldn't understand
>> the new grammar, but that's true of (almost) any new language feature.
>
> If we had reader macros, and more generally a
> user-configurable reader, like Common Lisp, then
> maybe (?) users could adapt (e.g. disable or
> whatever) such new constructs programmatically,
> with Lisp.

I don't know if there is such a feature as transcompiling in Common Lisp
https://en.wikipedia.org/wiki/Source-to-source_compiler
but it should be possible to create a transpiler package that could help
to load Emacs Lisp files with newer syntax in older Emacs versions.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 12 Nov 2020 18:16:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 12 13:16:56 2020
Received: from localhost ([127.0.0.1]:45548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdH9T-0001ne-Kq
	for submit <at> debbugs.gnu.org; Thu, 12 Nov 2020 13:16:56 -0500
Received: from aserp2130.oracle.com ([141.146.126.79]:35660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kdH9S-0001nR-02
 for 44554 <at> debbugs.gnu.org; Thu, 12 Nov 2020 13:16:54 -0500
Received: from pps.filterd (aserp2130.oracle.com [127.0.0.1])
 by aserp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0ACI9xGX001363;
 Thu, 12 Nov 2020 18:16:46 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=d3JaE428WwyT18W3S34gmrWneM+fDvYC8VItxSfOMpI=;
 b=tuX+lRcg6Q4YqJm6D4PDlI9oMj9V9tjzxwayfCJP1PX6lpsIzWzqLsgcItKFUT9WsSn4
 5kL2MthRpHsuiTJHyaM15BIMS+ydgMliK9kPdK4ZzAe5cleb+jAkkpExivPYb0qTAi/R
 /reazzA92uQ+dQTFQdsvGGnxa23GZNuClNrX70AhmDGWgXqafhTzWcAO+e5FaWs9Zp3w
 mzNH+BnKAWsQw87mIMc40zCZ3wc/FnGgY/IhXx2UlolDUK3B34A9k01YAyrSuTXrl97j
 NYm1nEhHUEdbE/HKA8M5FGdbcXXJm5zm7/1shEHBuQQWxA9icRIZ6i7mE773IQSENxPB HQ== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by aserp2130.oracle.com with ESMTP id 34nh3b73xu-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Thu, 12 Nov 2020 18:16:46 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0ACIBC1H188903;
 Thu, 12 Nov 2020 18:16:45 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userp3020.oracle.com with ESMTP id 34rt56frq5-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 12 Nov 2020 18:16:45 +0000
Received: from abhmp0003.oracle.com (abhmp0003.oracle.com [141.146.116.9])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 0ACIGhMo021064;
 Thu, 12 Nov 2020 18:16:44 GMT
MIME-Version: 1.0
Message-ID: <b0d26ad1-08fc-4261-a463-4cb2212b035b@default>
Date: Thu, 12 Nov 2020 10:16:42 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, =?utf-8?B?TWF0dGlhcyBFbmdkZWfDpXJk?=
 <mattiase@HIDDEN>
Subject: RE: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
References: <4282B0B6-7580-4066-9BAD-369EAD238E2C@HIDDEN>
 <CA+A2iZYWqv+EC4HAtpwkw2t9RY81erzyAWM4RkhMZta3y00TxA@HIDDEN>
 <CC0FE078-E3FB-4F6F-AFB1-E719DF280F95@HIDDEN> <87pn4iagd6.fsf@HIDDEN>
In-Reply-To: <87pn4iagd6.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5071.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9803
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 bulkscore=0 mlxscore=0
 mlxlogscore=999 suspectscore=0 adultscore=0 phishscore=0 malwarescore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2011120107
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9803
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 lowpriorityscore=0 priorityscore=1501
 clxscore=1015 malwarescore=0 mlxscore=0 spamscore=0 suspectscore=0
 mlxlogscore=999 impostorscore=0 phishscore=0 adultscore=0 bulkscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2011120107
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44554
Cc: Vladimir Nikishkin <lockywolf@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > No, not without modification. For example, #; would be treated as #
> > and a comment removing the rest of the line by most existing lexers.
> > And it's not just my code.
>=20
> Sure, it would be a new feature, and older lexers wouldn't understand
> the new grammar, but that's true of (almost) any new language feature.

If we had reader macros, and more generally a
user-configurable reader, like Common Lisp, then
maybe (?) users could adapt (e.g. disable or
whatever) such new constructs programmatically,
with Lisp.

Of course, if that were added then there would
at least be a one-time adaptation to it needed.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 12 Nov 2020 12:51:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 12 07:51:06 2020
Received: from localhost ([127.0.0.1]:43944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kdC4A-0008J8-CG
	for submit <at> debbugs.gnu.org; Thu, 12 Nov 2020 07:51:06 -0500
Received: from quimby.gnus.org ([95.216.78.240]:48560)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kdC48-0008Ia-P4
 for 44554 <at> debbugs.gnu.org; Thu, 12 Nov 2020 07:51:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=cyxdB5ihFjd0XjeIR9Cj+poniX0DVxc4b6OaG3Cvaxo=; b=TFUu9k9ikMUlFUKOZFHxalq1N6
 +9/dp94tLpz7PcAuPKiMyecKyj24XpfXVhaS0XcIKWVxg4MXeAedpU7EOg7p+EStT66CRF99qq3uy
 QddpFTLJsWVWgWi6FjygCVNFyp5dktuHOPY5gH+00qTQ4twsf1n+8upAbfZlasRULVAo=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kdC3q-00013h-W7; Thu, 12 Nov 2020 13:50:58 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
References: <4282B0B6-7580-4066-9BAD-369EAD238E2C@HIDDEN>
 <CA+A2iZYWqv+EC4HAtpwkw2t9RY81erzyAWM4RkhMZta3y00TxA@HIDDEN>
 <CC0FE078-E3FB-4F6F-AFB1-E719DF280F95@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEUKCRwwKF9aSF6Y
 aFOYholgVpuvosr////hH+mjAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+QLDAwtI/dQr2QAAAGvSURB
 VDjLzdJLctswDAZgx53uTSjel0DYvSi5+4qM9nowB2g9vP8R8pOUxGQa7wvPaCR8hAHIPp3+l7g8
 yJ/bf1JKZRjS9UnVwu+KGE9nTme4nMrxzSo8MwtrpRR1B8ysNAGINSRXl5hSPVNLg8qxwxORwkcY
 UeSYCec1869oG/2xhMWitRUf72xTc/5RgMRqJ7r3fvzdNS13+3edRTNq+vHu/zTMuuNLoQtpzEQe
 8RdzKJv7pwu1WKJxSQhztQfgDLEAeo/d6TPYLkUAPOsKggqkmT1WbL6CgOlEVWh0AgvgT3ClHQzA
 UkqVCoBkSK8Ra1xDKBVzyweYgUzYQE3IZdAspk35DQyXHthuedGhwnUDdFtXU4Gu85wg/eC+Am4A
 XQGxS4bxlDnMc5lKvZgBsMZYYNZLmYpsGNbgxx0WbTpJIOKnPuU3WLseiwAse9f7WKF/HVKFTEvv
 b7HCIGHAcbFmGd08HrC2fHPYkSfjvMUf74DUFO/P6uAd888Kr95tcLd5pr1HjN6nmYzf0gXe8t1d
 2PZrjB9gu3Xz7Tif4bh3ruYBb/HLOIX4AB7k4zsohL89RIg2HQAAACV0RVh0ZGF0ZTpjcmVhdGUA
 MjAyMC0xMS0xMlQxMjo0NTozNSswMDowMMkL93MAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjAtMTEt
 MTJUMTI6NDU6MzUrMDA6MDC4Vk/PAAAAAElFTkSuQmCC
X-Now-Playing: Machinedrum's _A View of U_: "Believe in U"
Date: Thu, 12 Nov 2020 13:50:45 +0100
In-Reply-To: <CC0FE078-E3FB-4F6F-AFB1-E719DF280F95@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Wed, 11 Nov 2020 17:25:33
 +0100")
Message-ID: <87pn4iagd6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Mattias EngdegÄrd <mattiase@HIDDEN> writes: > No, not without
    modification. For example, #; would be treated as # > and a comment removing
    the rest of the line by most existing lexers. > > And it's not just my code.
    
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44554
Cc: Vladimir Nikishkin <lockywolf@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> No, not without modification. For example, #; would be treated as #
> and a comment removing the rest of the line by most existing lexers.
>
> And it's not just my code.

Sure, it would be a new feature, and older lexers wouldn't understand
the new grammar, but that's true of (almost) any new language feature.
The question is whether this feature is useful enough to warrant the
pain inflicted, and...  I guess there isn't all that much enthusiasm for
it?  To me it sounds more like "that'd be neat" instead of "yeah, I can
see myself using it all the time".

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Nov 2020 23:08:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 18:08:17 2020
Received: from localhost ([127.0.0.1]:43148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kczDs-0006Tm-QO
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 18:08:17 -0500
Received: from lists.gnu.org ([209.51.188.17]:37048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kczDr-0006Td-4q
 for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 18:08:15 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:33698)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kczDq-0007Yz-K5
 for bug-gnu-emacs@HIDDEN; Wed, 11 Nov 2020 18:08:15 -0500
Received: from static.214.254.202.116.clients.your-server.de
 ([116.202.254.214]:51232 helo=ciao.gmane.io)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kczDo-0007rD-9t
 for bug-gnu-emacs@HIDDEN; Wed, 11 Nov 2020 18:08:14 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kczDk-0007UW-6s
 for bug-gnu-emacs@HIDDEN; Thu, 12 Nov 2020 00:08:08 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: "Jose A. Ortega Ruiz" <jao@HIDDEN>
Subject: Re: bug#44554: 27.1;
 Feature request: SRFI-62 style comments for Emacs Lisp.
Date: Wed, 11 Nov 2020 22:50:22 +0000
Message-ID: <87pn4j4ifl.fsf@HIDDEN>
References: <87sg9hwbo8.fsf@HIDDEN>
 <87mtzpgsz7.fsf@HIDDEN> <X6rqqhsLFeFLe7ag@HIDDEN>
 <E1kcisH-00075V-VI@HIDDEN>
 <X6t7OEoPtvYFh6P5@HIDDEN>
 <CA+A2iZZFgYYSFwqWaXpT-otn3b+ooEwk4NQpKLLso81JNfptew@HIDDEN>
 <877dqsl2je.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Cancel-Lock: sha1:BkiqxvOLSSGlUdh/MdGaTMjTnuQ=
X-Attribution: jao
X-Clacks-Overhead: GNU Terry Pratchett
X-URL: <http://jao.io/>
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/11 16:37:44
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On Wed, Nov 11 2020, Andreas Schwab wrote:

> On Nov 11 2020, Vladimir Nikishkin wrote:
>
>> I am asking for _some_ syntax to comment out valid sexps, whichever
>> fits Emacs Lisp most.
>
> The easiest way is to quote it.

(+ 3 '2 1) -> 6
(+ 3 #;2 1) -> 4

(+ 3 '(+ 1 2)) -> error
(+ 3 #;(+ 1 2)) -> 3





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 11 Nov 2020 16:25:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 11:25:51 2020
Received: from localhost ([127.0.0.1]:42680 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcswR-0002VJ-68
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 11:25:51 -0500
Received: from mail1445c50.megamailservers.eu ([91.136.14.45]:43562
 helo=mail265c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kcswL-0002Uz-EV
 for 44554 <at> debbugs.gnu.org; Wed, 11 Nov 2020 11:25:49 -0500
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1605111938;
 bh=liFYOQRI+C11LSmiyByVnV13G0Y8XuKIBZKOoi3vzFQ=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=cUYihnFHlGM+E2HYMLVvUsqyt92oMKlwYgF7S+brzpEudlDBpU8mdJlL3FYEREGyZ
 r0wDqeBgNvB/YspHxxN9gKVPFHYyMb0Fk2HNQ7hQ6LC2nMcIUd1A6Jtk+Kw1fb/wKu
 uAmJDzQ+Z/AlwLi0JmYQlgCnZGb6CRsXnK98m4Ms=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail265c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 0ABGPYjS027928; 
 Wed, 11 Nov 2020 16:25:37 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <CA+A2iZYWqv+EC4HAtpwkw2t9RY81erzyAWM4RkhMZta3y00TxA@HIDDEN>
Date: Wed, 11 Nov 2020 17:25:33 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <CC0FE078-E3FB-4F6F-AFB1-E719DF280F95@HIDDEN>
References: <4282B0B6-7580-4066-9BAD-369EAD238E2C@HIDDEN>
 <CA+A2iZYWqv+EC4HAtpwkw2t9RY81erzyAWM4RkhMZta3y00TxA@HIDDEN>
To: Vladimir Nikishkin <lockywolf@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A782F1B.5FAC1082.0062, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=VaOJw2h9 c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=pGLkceISAAAA:8 a=JUOnSx6IQnmj5cingrwA:9 a=CjuIK1q_8ugA:10
X-Origin-Country: SE
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 44554
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

11 nov. 2020 kl. 17.14 skrev Vladimir Nikishkin <lockywolf@HIDDEN>:

> Well, if your parsers and fontifiers recognize #'symbol constructions, =
wouldn't they recognise #; in almost the same way?

No, not without modification. For example, #; would be treated as # and =
a comment removing the rest of the line by most existing lexers.

And it's not just my code.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 11 Nov 2020 16:14:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 11:14:22 2020
Received: from localhost ([127.0.0.1]:42666 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcslK-0002CV-EP
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 11:14:22 -0500
Received: from mail-lf1-f51.google.com ([209.85.167.51]:41872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lockywolf@HIDDEN>) id 1kcslI-0002CK-04
 for 44554 <at> debbugs.gnu.org; Wed, 11 Nov 2020 11:14:21 -0500
Received: by mail-lf1-f51.google.com with SMTP id w142so3873007lff.8
 for <44554 <at> debbugs.gnu.org>; Wed, 11 Nov 2020 08:14:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=3fTh829bkBHFOS35ol4brEP3k1pUPxOTXU1bFRVxYcU=;
 b=dRNxm82n0L699AMD4VMYtfWkjlQNd2KeQ2y9v1Kxi6a8qlJ1CkehWU8kDUAKae3AsN
 Qzdwz8t+S5WOxl5e21eJp7Sznf64+2Xx/VojtxeDfWWQjPbn2zsezmiVq9wZbrr8+PH5
 AIccB1gwkTQK83MNsQJCasbfP0rVq+D0a5V3pxKWZQTpBfWrHZca++m6wmi+5317BZsK
 gGc3gxOFutsh0d6b9Tb3M/1y9fVF1e0eKXr4hRy/D5r1KW5f4q7U643nBhm0cqkzw6Q9
 8a6h86+KXRDd2q0VVbuuCbTMz84JJ940Z/AHDl/AyBgSTwkwexngS5KNZKgNH3CFwcS+
 NhtA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=3fTh829bkBHFOS35ol4brEP3k1pUPxOTXU1bFRVxYcU=;
 b=kqKetV1RjMCaPfBi9unCvGC8P+n8BpROHFnAh/lyQLU71iOQcik5/o5p8iMsKN3ZSm
 bxeCNbBEBQzrOUrXsHnXaQgUMXp1in3+8bjDzbq67tm3FiS6/1O8loc3VnhbiduCy6W+
 DyhMcVDZB+wqAF6Keex2ciZqW1H3Uk5XmVMqrgBEGXIfr5C0LS4XQnsMfBxrbI9zfn0I
 MdFHcI/LjZp7lk7NhLDeEEpTlEL6i3QpiUwt3czGcifapzoZlAwHNjvu7AD/NirVJpmj
 cWz3mJXjHBvOcQ4ORUVnex/9uK62LFonBZmFxRYFe5Rygmj/Oi0TemBThlV197Kksn0T
 Cw7Q==
X-Gm-Message-State: AOAM533pN6UKpwdybADRvhmtS2+gxJ3qHI4OT94v3MY3eLv30IVd6/xv
 yNlw/mzVLzyV0EniHJFb7Sg27cRLgamQhlH4W2o=
X-Google-Smtp-Source: ABdhPJwiSbilfCmZL4Sk1zU67GoOxqOXIjeYnsH+hjGMHXbjq/6QaBE8Qfh3o1EoJw+LPND+8ieGJyseS/Vyu6iU/W8=
X-Received: by 2002:a05:6512:1112:: with SMTP id
 l18mr5446554lfg.538.1605111253846; 
 Wed, 11 Nov 2020 08:14:13 -0800 (PST)
MIME-Version: 1.0
References: <4282B0B6-7580-4066-9BAD-369EAD238E2C@HIDDEN>
In-Reply-To: <4282B0B6-7580-4066-9BAD-369EAD238E2C@HIDDEN>
From: Vladimir Nikishkin <lockywolf@HIDDEN>
Date: Thu, 12 Nov 2020 00:14:00 +0800
Message-ID: <CA+A2iZYWqv+EC4HAtpwkw2t9RY81erzyAWM4RkhMZta3y00TxA@HIDDEN>
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
To: =?UTF-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000001c4fe805b3d716e4"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44554
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000001c4fe805b3d716e4
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Well, if your parsers and fontifiers recognize #'symbol constructions,
wouldn't they recognise #; in almost the same way?

--
Yours sincerely, Vladimir Nikishkin
(Sent with Google mail mobile.)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> =E4=BA=8E 2020=E5=B9=B411=E6=9C=
=8812=E6=97=A5=E5=91=A8=E5=9B=9B 00:11=E5=86=99=E9=81=93=EF=BC=9A

> mark-sexp (C-M-SPC) followed by comment-region already works, doesn't it?
> Not obvious that SRFI-62 comments would be substantially better.
>
> I would very much like not having to update code that parses, lexes,
> searches, matches, pretty-prints, fontifies, navigates in, browses, index=
es
> or otherwise recognises elisp surface syntax, that I have written over th=
e
> years in various places -- at least not without a really good reason.
> Likely I'm not alone.
>
> Sorry about the downbeat tone! I really don't mind syntax improvements,
> but here it seems unclear that the benefits would outweigh the costs.
>
>

--0000000000001c4fe805b3d716e4
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Well, if your parsers and fontifiers recognize #&#39;symb=
ol constructions, wouldn&#39;t they recognise #; in almost the same way?<br=
><br><div data-smartmail=3D"gmail_signature">--<br>Yours sincerely, Vladimi=
r Nikishkin<br>(Sent with Google mail mobile.)</div></div><br><div class=3D=
"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">Mattias Engdeg=C3=A5rd =
&lt;<a href=3D"mailto:mattiase@HIDDEN">mattiase@HIDDEN</a>&gt; =E4=BA=8E =
2020=E5=B9=B411=E6=9C=8812=E6=97=A5=E5=91=A8=E5=9B=9B 00:11=E5=86=99=E9=81=
=93=EF=BC=9A<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0=
 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">mark-sexp (C-M-SPC) fo=
llowed by comment-region already works, doesn&#39;t it? Not obvious that SR=
FI-62 comments would be substantially better.<br>
<br>
I would very much like not having to update code that parses, lexes, search=
es, matches, pretty-prints, fontifies, navigates in, browses, indexes or ot=
herwise recognises elisp surface syntax, that I have written over the years=
 in various places -- at least not without a really good reason. Likely I&#=
39;m not alone.<br>
<br>
Sorry about the downbeat tone! I really don&#39;t mind syntax improvements,=
 but here it seems unclear that the benefits would outweigh the costs.<br>
<br>
</blockquote></div>

--0000000000001c4fe805b3d716e4--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 11 Nov 2020 16:11:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 11:11:11 2020
Received: from localhost ([127.0.0.1]:42658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcsiB-00027q-HP
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 11:11:11 -0500
Received: from mail210c50.megamailservers.eu ([91.136.10.220]:59292
 helo=mail194c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1kcsi5-00026v-PS
 for 44554 <at> debbugs.gnu.org; Wed, 11 Nov 2020 11:11:06 -0500
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1605111057;
 bh=wmNXPmhf/bpVnWmIICMtu1lB/8LMPa6gY/jX3UUG194=;
 h=From:Subject:Date:Cc:To:From;
 b=lOkIR8pL+MUTVNTF6c74yeSp71mD3om22ftjKKFe2VGgapsupbOTXiYJ1iMM7Q1A5
 bwsx6dse6X0UHCrZy5PXe7z0+pC1tx8AoFrlb0blGaFU9x4iAFKXObwodILVXPsRPI
 XMvDG62jEH3l4o7PawPppjO7dyMVXRjJi5hFrXRY=
Feedback-ID: mattiase@HIDDEN
Received: from [192.168.0.4] (c188-150-171-71.bredband.comhem.se
 [188.150.171.71]) (authenticated bits=0)
 by mail194c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 0ABGAsSS008832; 
 Wed, 11 Nov 2020 16:10:56 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 12.4 \(3445.104.17\))
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for 
 Emacs Lisp. 
Message-Id: <4282B0B6-7580-4066-9BAD-369EAD238E2C@HIDDEN>
Date: Wed, 11 Nov 2020 17:10:54 +0100
To: Vladimir Nikishkin <lockywolf@HIDDEN>
X-Mailer: Apple Mail (2.3445.104.17)
X-CTCH-RefID: str=0001.0A782F20.5FAC0D11.0040, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-CSC: 0
X-CHA: v=2.3 cv=CeB2G4jl c=1 sm=1 tr=0 a=SF+I6pRkHZhrawxbOkkvaA==:117
 a=SF+I6pRkHZhrawxbOkkvaA==:17 a=kj9zAlcOel0A:10 a=M51BFTxLslgA:10
 a=iMdIGOarokvwxbd3omcA:9 a=CjuIK1q_8ugA:10
X-Origin-Country: SE
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: mark-sexp (C-M-SPC) followed by comment-region already works,
 doesn't it? Not obvious that SRFI-62 comments would be substantially better.
 I would very much like not having to update code that parses, lexes, searches, 
 matches, pretty-prints, fontifies, navigates in, browses, indexes or otherwise
 recognises elisp surface syntax, that I ha [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [91.136.10.220 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 1.0 FAKE_REPLY_B           No description available.
X-Debbugs-Envelope-To: 44554
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

mark-sexp (C-M-SPC) followed by comment-region already works, doesn't =
it? Not obvious that SRFI-62 comments would be substantially better.

I would very much like not having to update code that parses, lexes, =
searches, matches, pretty-prints, fontifies, navigates in, browses, =
indexes or otherwise recognises elisp surface syntax, that I have =
written over the years in various places -- at least not without a =
really good reason. Likely I'm not alone.

Sorry about the downbeat tone! I really don't mind syntax improvements, =
but here it seems unclear that the benefits would outweigh the costs.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 11 Nov 2020 14:34:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 09:34:11 2020
Received: from localhost ([127.0.0.1]:40644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcrCN-0007Zw-L2
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 09:34:11 -0500
Received: from mail-lf1-f42.google.com ([209.85.167.42]:45105)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lockywolf@HIDDEN>) id 1kcrCK-0007Zh-MQ
 for 44554 <at> debbugs.gnu.org; Wed, 11 Nov 2020 09:34:10 -0500
Received: by mail-lf1-f42.google.com with SMTP id z21so3372754lfe.12
 for <44554 <at> debbugs.gnu.org>; Wed, 11 Nov 2020 06:34:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=qaiSvVFTAoAvULEXATzoSk3iRY94o6SKAlAz1VGN6fQ=;
 b=nBJpPz8it4MBc/iX0nXv3Yky5aTzn8beK1yDkXBu9aYPY+ojrqoAekgB/A1nv7uiQz
 Ar0g2okC4uMv1LvTW9l4F15w0poBCjysTV38zsGPlojxBzdT4eC/j7K5WPuFR/FlNvz/
 RlkGkUMCpSGKhsQ/e2Q7l9vhy4ZAarbk83FX+NxiVDwbymoKQKopzpXpS0j9gmoAVKsK
 WRTZRYamcDPLc8WH4aMg/7NijM+9LC5cczcIKJhw7ZSC2FesXRiGh3SPbNEe1x2ovnaO
 P2XLd4J1HgIwCCBy4aBSSq7HRyXvpbIIyZfLsgTEpmEvO6yr6SIy6jju8By2pXqsvvLp
 WSwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=qaiSvVFTAoAvULEXATzoSk3iRY94o6SKAlAz1VGN6fQ=;
 b=uZRGnwREBqwEgSe+AjJha6Dq2DfZ1ilGne+6uWPvzEZfvogVneOlJ5hwAMUv9TC69S
 SJl74ltgK3K6iLRjO/9YLhygRmwH5EAHX8OlyYUzcuC7TkfWXcqmQA0mZ60wCDQahPwW
 Z0hcXpBQhRxRLGuGqOInASh+wYSxvXb9HWYDfo+UUG+Qac4KzKZRnrE7Hel05F60k0zf
 gW5Dx9oIg77tnFpRCwmHgv+xqsCAJ6v8yCpetRP9XZx5t8rAL1zFQrAetx3wsQYu6YNn
 B6aXi0fI5vjgKn9XalJowqVhTMBIAjf1IbpiOUYXNe+n/UUGg5GT7beKLBAAqB//DtjV
 Y1mw==
X-Gm-Message-State: AOAM530/yK7hx+qcR39WiVeRrqVwcaco5r7SgFemoPbfqb874tTxZ9g2
 6BpK1hrgHizPxqMAV788WqKBwvt4zQlCJ5rocT8=
X-Google-Smtp-Source: ABdhPJyYRKK/aBq1LjA5UDczytcIF9gaR9XzqH0+6m6Pqdg1ompe3YA67+Qa9vvlqafycWs2ayzRlG3JDVsal/1raxA=
X-Received: by 2002:a19:357:: with SMTP id 84mr8906381lfd.243.1605105242644;
 Wed, 11 Nov 2020 06:34:02 -0800 (PST)
MIME-Version: 1.0
References: <87sg9hwbo8.fsf@HIDDEN> <87mtzpgsz7.fsf@HIDDEN>
 <X6rqqhsLFeFLe7ag@HIDDEN> <E1kcisH-00075V-VI@HIDDEN>
 <X6t7OEoPtvYFh6P5@HIDDEN>
 <CA+A2iZZFgYYSFwqWaXpT-otn3b+ooEwk4NQpKLLso81JNfptew@HIDDEN>
 <X6uf/ieTFebrryLz@HIDDEN>
In-Reply-To: <X6uf/ieTFebrryLz@HIDDEN>
From: Vladimir Nikishkin <lockywolf@HIDDEN>
Date: Wed, 11 Nov 2020 22:18:01 +0800
Message-ID: <CA+A2iZYRDLyiC3HiYSPyCW2QzrpkKy2mGzhnqRJeF9oucM8+Lw@HIDDEN>
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
To: Jean Louis <bugs@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000d0a5d105b3d5af02"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44554
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000d0a5d105b3d5af02
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Well, as a "poor man's substitute". A quoted expression is still an
expression, and a macro can't expand to nothing, it will always expand to
at least an empty list.

I would still prefer a robust solution, even if it takes longer.

--
Yours sincerely, Vladimir Nikishkin
(Sent with Google mail mobile.)

Jean Louis <bugs@HIDDEN> =E4=BA=8E 2020=E5=B9=B411=E6=9C=8811=E6=97=A5=
=E5=91=A8=E4=B8=89 21:57=E5=86=99=E9=81=93=EF=BC=9A

> * Vladimir Nikishkin <lockywolf@HIDDEN> [2020-11-11 11:19]:
> > Just to clarify,
> >
> > I am not asking that exactly the syntax of srfi-62 as it is be added.
> > (Although Emacs Lisp already uses #'symbol as a reader-syntax switch,
> > so I suspect that it is possible)
> > I am asking for _some_ syntax to comment out valid sexps, whichever
> > fits Emacs Lisp most.
>
> Would this work?
>
> '(
>
> )
>
> Or there could be some macro to comment out anything:
>
> (do-not-process
>
> Put anything you wish here.
>
> )
>
>

--000000000000d0a5d105b3d5af02
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">Well, as a &quot;poor man&#39;s substitute&quot;. A quote=
d expression is still an expression, and a macro can&#39;t expand to nothin=
g, it will always expand to at least an empty list.=C2=A0<div dir=3D"auto">=
<br></div><div dir=3D"auto">I would still prefer a robust solution, even if=
 it takes longer.=C2=A0<br><br><div data-smartmail=3D"gmail_signature" dir=
=3D"auto">--<br>Yours sincerely, Vladimir Nikishkin<br>(Sent with Google ma=
il mobile.)</div></div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr=
" class=3D"gmail_attr">Jean Louis &lt;bugs@HIDDEN&gt; =E4=BA=8E 2020=
=E5=B9=B411=E6=9C=8811=E6=97=A5=E5=91=A8=E4=B8=89 21:57=E5=86=99=E9=81=93=
=EF=BC=9A<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 =
.8ex;border-left:1px #ccc solid;padding-left:1ex">* Vladimir Nikishkin &lt;=
<a href=3D"mailto:lockywolf@HIDDEN" target=3D"_blank" rel=3D"noreferrer"=
>lockywolf@HIDDEN</a>&gt; [2020-11-11 11:19]:<br>
&gt; Just to clarify,<br>
&gt; <br>
&gt; I am not asking that exactly the syntax of srfi-62 as it is be added.<=
br>
&gt; (Although Emacs Lisp already uses #&#39;symbol as a reader-syntax swit=
ch,<br>
&gt; so I suspect that it is possible)<br>
&gt; I am asking for _some_ syntax to comment out valid sexps, whichever<br=
>
&gt; fits Emacs Lisp most.<br>
<br>
Would this work?<br>
<br>
&#39;(<br>
<br>
)<br>
<br>
Or there could be some macro to comment out anything:<br>
<br>
(do-not-process<br>
<br>
Put anything you wish here.<br>
<br>
)<br>
<br>
</blockquote></div>

--000000000000d0a5d105b3d5af02--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 11 Nov 2020 13:58:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 08:58:05 2020
Received: from localhost ([127.0.0.1]:40610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcqdR-0006g1-0d
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 08:58:05 -0500
Received: from static.rcdrun.com ([95.85.24.50]:59677)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kcqdM-0006fY-AS
 for 44554 <at> debbugs.gnu.org; Wed, 11 Nov 2020 08:58:03 -0500
Received: from localhost ([::ffff:197.157.34.177])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002C0004.000000005FABEDE6.000037DE; Wed, 11 Nov 2020 13:57:58 +0000
Date: Wed, 11 Nov 2020 11:25:34 +0300
From: Jean Louis <bugs@HIDDEN>
To: Vladimir Nikishkin <lockywolf@HIDDEN>
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
Message-ID: <X6uf/ieTFebrryLz@HIDDEN>
References: <87sg9hwbo8.fsf@HIDDEN> <87mtzpgsz7.fsf@HIDDEN>
 <X6rqqhsLFeFLe7ag@HIDDEN>
 <E1kcisH-00075V-VI@HIDDEN>
 <X6t7OEoPtvYFh6P5@HIDDEN>
 <CA+A2iZZFgYYSFwqWaXpT-otn3b+ooEwk4NQpKLLso81JNfptew@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <CA+A2iZZFgYYSFwqWaXpT-otn3b+ooEwk4NQpKLLso81JNfptew@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: * Vladimir Nikishkin <lockywolf@HIDDEN> [2020-11-11
 11:19]:
 > Just to clarify, > > I am not asking that exactly the syntax of srfi-62
 as it is be added. > (Although Emacs Lisp already uses #'symbol [...] 
 Content analysis details:   (1.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.1 DATE_IN_PAST_03_06     Date: is 3 to 6 hours before Received: date
X-Debbugs-Envelope-To: 44554
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

* Vladimir Nikishkin <lockywolf@HIDDEN> [2020-11-11 11:19]:
> Just to clarify,
> 
> I am not asking that exactly the syntax of srfi-62 as it is be added.
> (Although Emacs Lisp already uses #'symbol as a reader-syntax switch,
> so I suspect that it is possible)
> I am asking for _some_ syntax to comment out valid sexps, whichever
> fits Emacs Lisp most.

Would this work?

'(

)

Or there could be some macro to comment out anything:

(do-not-process

Put anything you wish here.

)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 11 Nov 2020 08:29:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 03:29:30 2020
Received: from localhost ([127.0.0.1]:40171 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kclVS-0002CH-L9
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 03:29:30 -0500
Received: from mail-out.m-online.net ([212.18.0.9]:45331)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1kclVQ-0002C4-KR
 for 44554 <at> debbugs.gnu.org; Wed, 11 Nov 2020 03:29:29 -0500
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4CWHvq2G7Mz1qsb0;
 Wed, 11 Nov 2020 09:29:27 +0100 (CET)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4CWHvq08zfz1qtYq;
 Wed, 11 Nov 2020 09:29:27 +0100 (CET)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id jK6-zA7RPHTu; Wed, 11 Nov 2020 09:29:26 +0100 (CET)
X-Auth-Info: ADpnZZ/XawEMWS0S8H7yFvWRtou7b5LtPPSsFzj1aX3Bx82kQkkx00U0tdOqDyua
Received: from igel.home (ppp-46-244-161-149.dynamic.mnet-online.de
 [46.244.161.149])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Wed, 11 Nov 2020 09:29:26 +0100 (CET)
Received: by igel.home (Postfix, from userid 1000)
 id 985982C35EE; Wed, 11 Nov 2020 09:29:25 +0100 (CET)
From: Andreas Schwab <schwab@HIDDEN>
To: Vladimir Nikishkin <lockywolf@HIDDEN>
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
References: <87sg9hwbo8.fsf@HIDDEN>
 <87mtzpgsz7.fsf@HIDDEN> <X6rqqhsLFeFLe7ag@HIDDEN>
 <E1kcisH-00075V-VI@HIDDEN>
 <X6t7OEoPtvYFh6P5@HIDDEN>
 <CA+A2iZZFgYYSFwqWaXpT-otn3b+ooEwk4NQpKLLso81JNfptew@HIDDEN>
X-Yow: Make me look like LINDA RONSTADT again!!
Date: Wed, 11 Nov 2020 09:29:25 +0100
In-Reply-To: <CA+A2iZZFgYYSFwqWaXpT-otn3b+ooEwk4NQpKLLso81JNfptew@HIDDEN>
 (Vladimir Nikishkin's message of "Wed, 11 Nov 2020 16:18:17 +0800")
Message-ID: <877dqsl2je.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 44554
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 Jean Louis <bugs@HIDDEN>, 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Nov 11 2020, Vladimir Nikishkin wrote:

> I am asking for _some_ syntax to comment out valid sexps, whichever
> fits Emacs Lisp most.

The easiest way is to quote it.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 11 Nov 2020 08:18:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 03:18:38 2020
Received: from localhost ([127.0.0.1]:40154 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kclKv-0001w5-TJ
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 03:18:38 -0500
Received: from mail-lf1-f50.google.com ([209.85.167.50]:33610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lockywolf@HIDDEN>) id 1kclKt-0001vr-M3
 for 44554 <at> debbugs.gnu.org; Wed, 11 Nov 2020 03:18:36 -0500
Received: by mail-lf1-f50.google.com with SMTP id l2so2044004lfk.0
 for <44554 <at> debbugs.gnu.org>; Wed, 11 Nov 2020 00:18:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=x7nhoBGSlWGRJgnku2Divj4AEFWdW/4m5HCXTXi3TfI=;
 b=vVWPTxhEgGrSK+qhoNxh4m0sqsGxYdN1fsyMPzOV3ckATgW55rJSeXgTW0GRVRoBvk
 AD+ieCyS81ok8DwZpPobnzIFlmFrdQs3Qz1DhO+t46mV8Uu2bblrNot2GZThVlgj8d6B
 t9sStsgKT7NfB896J16Dxv6D1OPhyKs4hiMSMx1QFch7yf2mLphOWGvTu0rFhFvjRAzw
 8sqjWGlL02YTdykaAtMt3me8JR/7l5uKb+AbP/LmLybenu1fU/5GkIkC07Y7CjLcRIUH
 Nbxue7LS0c+NaivX1NYCGxyEr61zOgI9gCjpERUyXVaGEEglWlO8vkMDkpzcBD5kdJJl
 ZCWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=x7nhoBGSlWGRJgnku2Divj4AEFWdW/4m5HCXTXi3TfI=;
 b=BWEq4F3U1gynZdG2C29Hdf/RW8hYHaR0Q2EEZD5qwYakwYFLLXzTlBvoGTe4g7grPL
 TD6a+qjQjgYq1NdWCC0B2ygNTFvOoegncsAQhvuPEICtrkURnzN6wrsZZ0O5w/pksTsh
 Ipkfo8MjDB5EoxFUmHPv6Rrsrymxk9LTbTE1dSpnkdVL5hdtuspsHw7NqdnXUBDFoFpK
 wcX2AhhpuP5yF3C9CrL3UiwCAU2YcA4HI5h2pPIMy1I1DYACh8acF23hF0IIZeQZg2bg
 L894bJwvF1aaxKCU0KRfflne6qtMESiyQS4wHQ0HPgBCWyJ0Vuc4354qx+TKI/OluYG0
 AIkg==
X-Gm-Message-State: AOAM533IF1v0v6BFh6QVo6Xm1PSk4VnlSb3z6BgGZ4eLj8bN7FJxtDBI
 nTG4XW+y/bSg/w9qRVfmjTxGL3qE49+rz3YQtJc=
X-Google-Smtp-Source: ABdhPJwV+tSMV3+A21uESQ4QDvw2RJDssCHi9gNHSlY+4umd90b8/9oObcsUprvJZoMTYD0faGcMgCPnI20r5TbNZbo=
X-Received: by 2002:ac2:420a:: with SMTP id y10mr8591279lfh.388.1605082709467; 
 Wed, 11 Nov 2020 00:18:29 -0800 (PST)
MIME-Version: 1.0
References: <87sg9hwbo8.fsf@HIDDEN> <87mtzpgsz7.fsf@HIDDEN>
 <X6rqqhsLFeFLe7ag@HIDDEN> <E1kcisH-00075V-VI@HIDDEN>
 <X6t7OEoPtvYFh6P5@HIDDEN>
In-Reply-To: <X6t7OEoPtvYFh6P5@HIDDEN>
From: Vladimir Nikishkin <lockywolf@HIDDEN>
Date: Wed, 11 Nov 2020 16:18:17 +0800
Message-ID: <CA+A2iZZFgYYSFwqWaXpT-otn3b+ooEwk4NQpKLLso81JNfptew@HIDDEN>
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
To: Jean Louis <bugs@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44554
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Richard Stallman <rms@HIDDEN>,
 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Just to clarify,

I am not asking that exactly the syntax of srfi-62 as it is be added.
(Although Emacs Lisp already uses #'symbol as a reader-syntax switch,
so I suspect that it is possible)
I am asking for _some_ syntax to comment out valid sexps, whichever
fits Emacs Lisp most.

Vlad

On Wed, 11 Nov 2020 at 15:46, Jean Louis <bugs@HIDDEN> wrote:
>
> * Richard Stallman <rms@HIDDEN> [2020-11-11 08:42]:
> > [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> > [[[ whether defending the US Constitution against all enemies,     ]]]
> > [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
> >
> >   > > #| this is
> >   > > a comment |#
> >
> >   > Voting for CL comment blocks.
> >
> > Before deciding to add any syntax to Emacs Lisp, we must make sure
> > that all the Lisp-parsing commands can handle them.
> >
> > If some other Lisp mode handles them already, that suggests it won't
> > be hard; but we have to verify it works in the context of Emacs Lisp
> > mode before making the decision to add that synatx to EMacs Lisp.
>
> Oh, yes! Thank you, it is understandable. In addition it would cause
> many compatibility problems with outside packages and previous
> versions of Emacs.
>


-- 
Yours sincerely, Vladimir Nikishkin
(Sent from GMail web interface.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 11 Nov 2020 07:46:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 02:46:31 2020
Received: from localhost ([127.0.0.1]:40110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kckpr-000156-OP
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 02:46:31 -0500
Received: from static.rcdrun.com ([95.85.24.50]:37941)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kckpp-00014x-OF
 for 44554 <at> debbugs.gnu.org; Wed, 11 Nov 2020 02:46:30 -0500
Received: from localhost ([::ffff:197.157.34.177])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002C0003.000000005FAB96D3.00007BA3; Wed, 11 Nov 2020 07:46:27 +0000
Date: Wed, 11 Nov 2020 08:48:40 +0300
From: Jean Louis <bugs@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
Message-ID: <X6t7OEoPtvYFh6P5@HIDDEN>
References: <87sg9hwbo8.fsf@HIDDEN> <87mtzpgsz7.fsf@HIDDEN>
 <X6rqqhsLFeFLe7ag@HIDDEN>
 <E1kcisH-00075V-VI@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <E1kcisH-00075V-VI@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44554
Cc: larsi@HIDDEN, lockywolf@HIDDEN, 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Richard Stallman <rms@HIDDEN> [2020-11-11 08:42]:
> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
> 
>   > > #| this is
>   > > a comment |#
> 
>   > Voting for CL comment blocks.
> 
> Before deciding to add any syntax to Emacs Lisp, we must make sure
> that all the Lisp-parsing commands can handle them.
> 
> If some other Lisp mode handles them already, that suggests it won't
> be hard; but we have to verify it works in the context of Emacs Lisp
> mode before making the decision to add that synatx to EMacs Lisp.

Oh, yes! Thank you, it is understandable. In addition it would cause
many compatibility problems with outside packages and previous
versions of Emacs. 





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 11 Nov 2020 05:41:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 11 00:41:16 2020
Received: from localhost ([127.0.0.1]:39996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcisd-0006Gf-PP
	for submit <at> debbugs.gnu.org; Wed, 11 Nov 2020 00:41:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1kcisc-0006GU-05
 for 44554 <at> debbugs.gnu.org; Wed, 11 Nov 2020 00:41:14 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50629)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1kcisW-000643-DK; Wed, 11 Nov 2020 00:41:08 -0500
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1kcisH-00075V-VI; Wed, 11 Nov 2020 00:40:55 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
In-Reply-To: <X6rqqhsLFeFLe7ag@HIDDEN> (message from Jean Louis
 on Tue, 10 Nov 2020 22:31:54 +0300)
Subject: Re: bug#44554: 27.1;
 Feature request: SRFI-62 style comments for Emacs Lisp.
References: <87sg9hwbo8.fsf@HIDDEN>
 <87mtzpgsz7.fsf@HIDDEN> <X6rqqhsLFeFLe7ag@HIDDEN>
Message-Id: <E1kcisH-00075V-VI@HIDDEN>
Date: Wed, 11 Nov 2020 00:40:53 -0500
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44554
Cc: larsi@HIDDEN, lockywolf@HIDDEN, 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > #| this is
  > > a comment |#

  > Voting for CL comment blocks.

Before deciding to add any syntax to Emacs Lisp,
we must make sure that all the Lisp-parsing commands
can handle them.

If some other Lisp mode handles them already, that suggests
it won't be hard; but we have to verify it works in the context of Emacs Lisp mode before making the decision to add that synatx to EMacs Lisp.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Nov 2020 01:25:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 10 20:25:07 2020
Received: from localhost ([127.0.0.1]:39573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcesk-0006Fy-Vw
	for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 20:25:07 -0500
Received: from lists.gnu.org ([209.51.188.17]:33506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kcesj-0006Fp-QF
 for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 20:25:06 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:46768)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kcesj-0004W9-KQ
 for bug-gnu-emacs@HIDDEN; Tue, 10 Nov 2020 20:25:05 -0500
Received: from static.214.254.202.116.clients.your-server.de
 ([116.202.254.214]:34764 helo=ciao.gmane.io)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kcesi-0001PY-AQ
 for bug-gnu-emacs@HIDDEN; Tue, 10 Nov 2020 20:25:05 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1kcesf-0008eA-SI
 for bug-gnu-emacs@HIDDEN; Wed, 11 Nov 2020 02:25:01 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: "Jose A. Ortega Ruiz" <jao@HIDDEN>
Subject: Re: bug#44554: 27.1;
 Feature request: SRFI-62 style comments for Emacs Lisp.
Date: Tue, 10 Nov 2020 23:18:39 +0000
Message-ID: <87blg4ztps.fsf@HIDDEN>
References: <87sg9hwbo8.fsf@HIDDEN>
 <E1kcXGi-00914G-Dm@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Cancel-Lock: sha1:nUEUSiBM6Ij896uAkEvUEcI1snQ=
X-Attribution: jao
X-Clacks-Overhead: GNU Terry Pratchett
X-URL: <http://jao.io/>
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/10 09:16:09
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


since people are voting, here's my +1 for sexp (#;) comments.  i've been
programming in languages that have them almost daily for the last ten
years, and find them invaluable, and better than block comments.

for me, their main advantages are that i commonly have my point at the
beginning of the sexp and don't need to move around to comment it out,
and that they can nest very easily (by that i mean that #;#; would
comment out the next 2 sexps, and so on).  

sexp comments also combine nicely with the fact that most of my
movements over lispy code are sexp-based, and help me not commenting out
by mistake closing parens.

in the much fewer occasions i need a block comment, it's normally easy
to use comment-region, and packages like paredit help there.

(of course if we end up having only block comments, it's trivial writing
an emacs command commenting out the next n sexps using them (or, heck,
even /not/ using them) so i'm fine either way at the end of the day.)

cheers,
jao
-- 
And what should they know of England who only England know? - Kipling





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 10 Nov 2020 19:40:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 10 14:40:41 2020
Received: from localhost ([127.0.0.1]:38930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcZVR-0005zq-Dt
	for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 14:40:41 -0500
Received: from static.rcdrun.com ([95.85.24.50]:49783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kcZVQ-0005zj-3b
 for 44554 <at> debbugs.gnu.org; Tue, 10 Nov 2020 14:40:40 -0500
Received: from localhost ([::ffff:197.157.34.177])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002C0005.000000005FAAECB5.00000A94; Tue, 10 Nov 2020 19:40:36 +0000
Date: Tue, 10 Nov 2020 22:31:54 +0300
From: Jean Louis <bugs@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
Message-ID: <X6rqqhsLFeFLe7ag@HIDDEN>
References: <87sg9hwbo8.fsf@HIDDEN> <87mtzpgsz7.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87mtzpgsz7.fsf@HIDDEN>
User-Agent: Mutt/2.0 (3d08634) (2020-11-07)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 44554
Cc: Vladimir Nikishkin <lockywolf@HIDDEN>, 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Lars Ingebrigtsen <larsi@HIDDEN> [2020-11-10 18:03]:
> Vladimir Nikishkin <lockywolf@HIDDEN> writes:
> 
> > #;(defvar demo-variable nil
> >   "This is a demo-variable declared to illustrate SRFI-62.")
> > ```
> >
> > The special reader syntax "#;" means "please, ignore the next valid
> > s-expression completely".
> 
> Sexp-based comments would certainly be nice, but I wonder whether
> comment blocks would be even more useful (if we have to prioritise):
> 
> #| this is
> a comment |#

Voting for CL comment blocks.

It will increase documenting ability of Emacs.

I am using such to accept input from customers online, their human
readable data is shown in the comment blocks, and it is all LISP data
that can be processed.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 10 Nov 2020 17:18:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 10 12:18:02 2020
Received: from localhost ([127.0.0.1]:38814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcXHO-0000DI-83
	for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 12:18:02 -0500
Received: from userp2120.oracle.com ([156.151.31.85]:36650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1kcXHM-0000D0-O9
 for 44554 <at> debbugs.gnu.org; Tue, 10 Nov 2020 12:18:01 -0500
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0AAHFF3F126617;
 Tue, 10 Nov 2020 17:17:54 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=7J2c/ZpqbUwzmg6wDztnQ5lGx/XGIlAq8o2DfmsVVh4=;
 b=SDYIv3nvfb8NvGvizTrpMdyUl/NRM+Yt+85caDLzzJzx/hxwlKPomin68WChtuktQrHq
 KedTxW3mGMR5v9X1aS6pCDztE06K4CC/qTUngE8tASI0Ojdex3fli5RMlScODZCIzgYC
 tfKotZVVGo81uACt7kecz3lhmF213MEffgHtR4d/yeVZoC3G/plu8G3CtP00HQjyguO6
 AFZx+hDfqcvUo6jmC6AXXy6QDeXBVob3KEvj2TZgKQr0C/kfrUutplpKU3bf6lBp00mM
 Kgm1/cCTM+pzUYQe0QmTRaKtEvJAGKtG3N02zC5ZmqTT/xuwCW1/eEn/NPCVVVdH3Gi4 Nw== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2120.oracle.com with ESMTP id 34p72ek0f5-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Tue, 10 Nov 2020 17:17:54 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 0AAHAAOb190387;
 Tue, 10 Nov 2020 17:17:53 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userp3030.oracle.com with ESMTP id 34p5gx85q2-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 10 Nov 2020 17:17:53 +0000
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 0AAHHpQR025640;
 Tue, 10 Nov 2020 17:17:51 GMT
MIME-Version: 1.0
Message-ID: <6184e820-23e1-4324-807f-6f8a5feaa26c@default>
Date: Tue, 10 Nov 2020 09:17:50 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Vladimir Nikishkin
 <lockywolf@HIDDEN>
Subject: RE: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
References: <87sg9hwbo8.fsf@HIDDEN> <87mtzpgsz7.fsf@HIDDEN>
In-Reply-To: <87mtzpgsz7.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.5071.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9801
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 bulkscore=0
 mlxlogscore=941 mlxscore=0
 spamscore=0 phishscore=0 adultscore=0 malwarescore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2011100121
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9801
 signatures=668682
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 bulkscore=0
 mlxlogscore=971 mlxscore=0
 malwarescore=0 suspectscore=0 lowpriorityscore=0 adultscore=0 phishscore=0
 priorityscore=1501 spamscore=0 impostorscore=0 clxscore=1011
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2009150000
 definitions=main-2011100121
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 44554
Cc: 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> I wonder whether comment blocks would be even more useful
> (if we have to prioritise):
>=20
> #| this is
> a comment |#
>=20
> The advantage is that you don't have to have syntactically valid things
> in comment blocks, while #; requires that you do.  #; also looks like
> slightly hard to read if you do stuff like
>=20
> (foo #;(foobar
>         ...
>         1)
>      zot)

+1 for Common-Lisp block comments.

(And for reader macros, FWIW...)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 10 Nov 2020 17:17:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 10 12:17:25 2020
Received: from localhost ([127.0.0.1]:38810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcXGm-0000CO-UO
	for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 12:17:25 -0500
Received: from smtp-clients2.isti.cnr.it ([146.48.28.37]:43140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pot@HIDDEN>) id 1kcXGk-0000CD-VV
 for 44554 <at> debbugs.gnu.org; Tue, 10 Nov 2020 12:17:23 -0500
Received: from tucano.isti.cnr.it (tucano.isti.cnr.it [146.48.81.102])
 (Authenticated sender: pot)
 by smtp-clients2.isti.cnr.it (Postfix) with ESMTPSA id F34A6AE6E2;
 Tue, 10 Nov 2020 18:17:20 +0100 (CET)
X-Virus-Status: Clean
X-Virus-Scanned: clamav-milter 0.102.4 at smtp-out.isti.cnr.it
Received: from pot by tucano.isti.cnr.it with local (Exim 4.94)
 (envelope-from <pot@HIDDEN>)
 id 1kcXGi-00914G-Dm; Tue, 10 Nov 2020 18:17:20 +0100
From: =?utf-8?Q?Francesco_Potort=C3=AC?= <pot@HIDDEN>
Date: Tue, 10 Nov 2020 18:17:20 +0100
To: Vladimir Nikishkin <lockywolf@HIDDEN>
In-reply-to: <87sg9hwbo8.fsf@HIDDEN>
Subject: Re: bug#44554: 27.1;
 Feature request: SRFI-62 style comments for Emacs Lisp.
References: <87sg9hwbo8.fsf@HIDDEN>
Organization: 
X-fingerprint: 4B02 6187 5C03 D6B1 2E31  7666 09DF 2DC9 BE21 6115
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Message-Id: <E1kcXGi-00914G-Dm@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 44554
Cc: 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>```
>#;(defvar demo-variable nil
>  "This is a demo-variable declared to illustrate SRFI-62.")
>```
>
>The special reader syntax "#;" means "please, ignore the next valid
>s-expression completely".

I have always dreamt of this :)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 10 Nov 2020 15:12:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 10 10:12:08 2020
Received: from localhost ([127.0.0.1]:38618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcVJX-0005SE-Sa
	for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 10:12:08 -0500
Received: from mail-lf1-f54.google.com ([209.85.167.54]:45887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lockywolf@HIDDEN>) id 1kcVJV-0005Ri-Kv
 for 44554 <at> debbugs.gnu.org; Tue, 10 Nov 2020 10:12:06 -0500
Received: by mail-lf1-f54.google.com with SMTP id z21so16713140lfe.12
 for <44554 <at> debbugs.gnu.org>; Tue, 10 Nov 2020 07:12:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=tLug1EF3v6BCsQ1Jn5pkvf2q6ITRMogVy10sw6buKE0=;
 b=Gnc2Y9+JShWPj+xih1zmIBVWlLwdv4GkrBsbh4tNNBiIEko4GU1ER+Sq9WdtCYhmdB
 LPcbcNf/4/WcBeiPbWCTEyjoIVeqJH1r6Fx3f5yT5dBND53t/2jGCiwuPKHn2248QCZo
 XjVr8PCZGXC1vFfO3zkL9P1HKCFwtqqzytoOdIvk0AAOBTP2UEPpsI5BvNlmN2qgkgQJ
 IN+n8cNDtMaO3DCRwl8q8NP0Bml+6fmlAdU3EKexBMKiWKRvuq+KX9QFQo8weWNUHcUg
 8Ekco63rQw/f0f2p8MKVidwemW4nimVcMlhmX3oa6dTNO7gjmjKv9/NJJGVFnPhXsT0u
 k+eQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=tLug1EF3v6BCsQ1Jn5pkvf2q6ITRMogVy10sw6buKE0=;
 b=pPvhzpz/SH2MeHMw6VZLQ2es8StJP0B+xRZg9ioehVO9V99c+VraKZd/iDo1o1Woy7
 i3aUPlUJV8WCa/6Sy1OnVTNsPOAS2mZcG8Sr8ufnD47ggWRNMS5xF1Atim2Zf3LG4zdz
 dsQkkFYvLCfR+47OAkZ/z55V/g8xVBfqt13G+ZHbfNECEMk4KbzOKIlGPYE+TOuiNKWy
 OfCcxBmKJ77TEn0KRvdpeKbhTncs7xwacrvvp57XIlkmcGW79SsD3E3RfdrktIfUtOPV
 p/VN1BuNRurb6bfnvU50SmlFOpeIur5KJe8526aKtXZW0cW0CZEECmldYaEx4wJq2vLV
 Axrg==
X-Gm-Message-State: AOAM531d6vs2sW9018X34dhF9O2q8Ivzbdl54N0PCem9qQatcfENJJXh
 lGyDvEInpOQ+ZVn06mTlzUwswz5fmxJtoeznu+Y=
X-Google-Smtp-Source: ABdhPJwEeCyPsEAJo0CdUKUfYqqVGxCpfFv7u9NnStKddREyBFXHEphbDBXsNhdu90yz+NrsZoUczbNo72bTcKCmxHw=
X-Received: by 2002:a19:bed7:: with SMTP id o206mr7044255lff.360.1605021119675; 
 Tue, 10 Nov 2020 07:11:59 -0800 (PST)
MIME-Version: 1.0
References: <87sg9hwbo8.fsf@HIDDEN> <87mtzpgsz7.fsf@HIDDEN>
In-Reply-To: <87mtzpgsz7.fsf@HIDDEN>
From: Vladimir Nikishkin <lockywolf@HIDDEN>
Date: Tue, 10 Nov 2020 23:11:45 +0800
Message-ID: <CA+A2iZamsHMmL1_qpG0yzU-wsRWcy8T5z=Gu25000cUHyhOwzw@HIDDEN>
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000b2036805b3c2195a"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44554
Cc: 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000b2036805b3c2195a
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Well, fontification usually solves the problem of "slightly hard to read"
for me, because it's usually very different in co colour.

Speaking of block comments, I have no opinion about that. The point of
s-comments is exactly that they keep sexp syntax intact.
Block comments are not expected to do that (even for the human languages
within the comments).

--
Yours sincerely, Vladimir Nikishkin
(Sent with Google mail mobile.)

Lars Ingebrigtsen <larsi@HIDDEN> =E4=BA=8E 2020=E5=B9=B411=E6=9C=8810=E6=
=97=A5=E5=91=A8=E4=BA=8C 22:57=E5=86=99=E9=81=93=EF=BC=9A

> Vladimir Nikishkin <lockywolf@HIDDEN> writes:
>
> > #;(defvar demo-variable nil
> >   "This is a demo-variable declared to illustrate SRFI-62.")
> > ```
> >
> > The special reader syntax "#;" means "please, ignore the next valid
> > s-expression completely".
>
> Sexp-based comments would certainly be nice, but I wonder whether
> comment blocks would be even more useful (if we have to prioritise):
>
> #| this is
> a comment |#
>
> The advantage is that you don't have to have syntactically valid things
> in comment blocks, while #; requires that you do.  #; also looks like
> slightly hard to read if you do stuff like
>
> (foo #;(foobar
>         ...
>         1)
>      zot)
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

--000000000000b2036805b3c2195a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><div>Well, fontification usually solves the problem of &q=
uot;slightly hard to read&quot; for me, because it&#39;s usually very diffe=
rent in co colour.</div><div dir=3D"auto"><br></div><div dir=3D"auto">Speak=
ing of block comments, I have no opinion about that. The point of s-comment=
s is exactly that they keep sexp syntax intact.=C2=A0</div><div dir=3D"auto=
">Block comments are not expected to do that (even for the human languages =
within the comments).</div><div dir=3D"auto"><br><div data-smartmail=3D"gma=
il_signature" dir=3D"auto">--<br>Yours sincerely, Vladimir Nikishkin<br>(Se=
nt with Google mail mobile.)</div><br><div class=3D"gmail_quote" dir=3D"aut=
o"><div dir=3D"ltr" class=3D"gmail_attr">Lars Ingebrigtsen &lt;<a href=3D"m=
ailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt; =E4=BA=8E 2020=E5=B9=B411=E6=
=9C=8810=E6=97=A5=E5=91=A8=E4=BA=8C 22:57=E5=86=99=E9=81=93=EF=BC=9A<br></d=
iv><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left=
:1px #ccc solid;padding-left:1ex">Vladimir Nikishkin &lt;<a href=3D"mailto:=
lockywolf@HIDDEN" target=3D"_blank" rel=3D"noreferrer">lockywolf@HIDDEN=
om</a>&gt; writes:<br>
<br>
&gt; #;(defvar demo-variable nil<br>
&gt;=C2=A0 =C2=A0&quot;This is a demo-variable declared to illustrate SRFI-=
62.&quot;)<br>
&gt; ```<br>
&gt;<br>
&gt; The special reader syntax &quot;#;&quot; means &quot;please, ignore th=
e next valid<br>
&gt; s-expression completely&quot;.<br>
<br>
Sexp-based comments would certainly be nice, but I wonder whether<br>
comment blocks would be even more useful (if we have to prioritise):<br>
<br>
#| this is<br>
a comment |#<br>
<br>
The advantage is that you don&#39;t have to have syntactically valid things=
<br>
in comment blocks, while #; requires that you do.=C2=A0 #; also looks like<=
br>
slightly hard to read if you do stuff like<br>
<br>
(foo #;(foobar<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 ...<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0 1)<br>
=C2=A0 =C2=A0 =C2=A0zot)<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer noreferrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div></div></div>

--000000000000b2036805b3c2195a--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at 44554 <at> debbugs.gnu.org:


Received: (at 44554) by debbugs.gnu.org; 10 Nov 2020 14:57:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 10 09:57:35 2020
Received: from localhost ([127.0.0.1]:38574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcV5T-00053i-B7
	for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 09:57:35 -0500
Received: from quimby.gnus.org ([95.216.78.240]:54648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kcV5R-00053S-Rj
 for 44554 <at> debbugs.gnu.org; Tue, 10 Nov 2020 09:57:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=bBO0XhtVhO1DnidM7jgrcyRmfah+tv7pAdRW6FXwhUs=; b=Ab4l/vkHMSJyT0XXvcegHB6BSJ
 rCTrkVgH7BHFPPOrblktg4HSpnHtbjUq6zJrSVt322/mcFTFEf3oa6l7o5xoF9LGkS2Mx2deb/d0P
 rE+/xaSFNz0BU0l74Pehpnf7IrqakKvy8APEwWTxGOkZ50Do9bm/dLah2+VV97DYYgk0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kcV5C-0003Tc-7K; Tue, 10 Nov 2020 15:57:27 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Vladimir Nikishkin <lockywolf@HIDDEN>
Subject: Re: bug#44554: 27.1; Feature request: SRFI-62 style comments for
 Emacs Lisp.
References: <87sg9hwbo8.fsf@HIDDEN>
X-Now-Playing: Ultra =?utf-8?Q?Nat=C3=A9's?= _Hero Worship_: "Everybody
 Loves the Night"
Date: Tue, 10 Nov 2020 15:57:16 +0100
In-Reply-To: <87sg9hwbo8.fsf@HIDDEN> (Vladimir Nikishkin's
 message of "Tue, 10 Nov 2020 22:04:24 +0800")
Message-ID: <87mtzpgsz7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Vladimir Nikishkin <lockywolf@HIDDEN> writes: > #; (defvar
 demo-variable nil > "This is a demo-variable declared to illustrate SRFI-62.")
 > ``` > > The special reader syntax "#; " means "please, ignore the next valid
 > s-expression completely". 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44554
Cc: 44554 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Vladimir Nikishkin <lockywolf@HIDDEN> writes:

> #;(defvar demo-variable nil
>   "This is a demo-variable declared to illustrate SRFI-62.")
> ```
>
> The special reader syntax "#;" means "please, ignore the next valid
> s-expression completely".

Sexp-based comments would certainly be nice, but I wonder whether
comment blocks would be even more useful (if we have to prioritise):

#| this is
a comment |#

The advantage is that you don't have to have syntactically valid things
in comment blocks, while #; requires that you do.  #; also looks like
slightly hard to read if you do stuff like

(foo #;(foobar
        ...
        1)
     zot)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Nov 2020 14:04:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 10 09:04:42 2020
Received: from localhost ([127.0.0.1]:36848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kcUGH-0001BP-4P
	for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 09:04:42 -0500
Received: from lists.gnu.org ([209.51.188.17]:58106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lockywolf@HIDDEN>) id 1kcUGD-0001BG-Uu
 for submit <at> debbugs.gnu.org; Tue, 10 Nov 2020 09:04:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:57384)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lockywolf@HIDDEN>)
 id 1kcUGD-0005Os-Oc
 for bug-gnu-emacs@HIDDEN; Tue, 10 Nov 2020 09:04:37 -0500
Received: from mail-pf1-x430.google.com ([2607:f8b0:4864:20::430]:43675)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <lockywolf@HIDDEN>)
 id 1kcUG9-0004jY-DV
 for bug-gnu-emacs@HIDDEN; Tue, 10 Nov 2020 09:04:37 -0500
Received: by mail-pf1-x430.google.com with SMTP id z3so11498155pfb.10
 for <bug-gnu-emacs@HIDDEN>; Tue, 10 Nov 2020 06:04:31 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:message-id:date:mime-version
 :content-transfer-encoding;
 bh=nHmpsAax7NNNiSg+bwpUQiHqAERV4ldto7VXsweh8MA=;
 b=SJ6XfgHaJbP5UWk/5PS17Yf74sDRp8ZVIer/dG/Te2ByLLEqklpb3urSqa/wWE4bBG
 Tl2ZTdGdNKMEy6BX23/m3o71In0iZ4Y8UCEJ7pKe+QOcG8FkWu+DJA2yC0Z7+1XNXY5c
 S41fQepVvOKUFuiCBYwX/G7cJoGtqfouSfbD7AODuMVyV4+KVUKMMIT+kPnEV6l1mfgi
 eKcj2RpLq3XoxlzVRPbvJ4jSk4P6i7Ok33+0xa95mlAMdgCdO10xwkOWEjSW/qSww4W6
 7DsOXFIzbebKiqpiRK+jmkCPEY3QNzVTs3X9YUdsGZiI7NowQnCyErnX2Y5CAc5byEwd
 0nzg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:message-id:date
 :mime-version:content-transfer-encoding;
 bh=nHmpsAax7NNNiSg+bwpUQiHqAERV4ldto7VXsweh8MA=;
 b=GYBc3XZBz67E3/jF2FzM2nVx1fHm96JoA6NLgdearY0h+HSO7aFvRd+Mmnk5KoXaw1
 WXr1lrBEKBaro1jM8uySfMuNLUTxP31bTX0TynOHpp6KgHcPUszOpV4IxDFmW8khTYer
 gHv/8+XbXZg2rIQwH7XBTXk5hVlpW0UQOdftKM+zUBpCjXbMXjtUsXOY0s+L4IIqhlxo
 Qfm3pAWR0ggxdslBo07lXWNTj5K/Pt2JOgVEfMS5XvJAgCB5DoHOTivpHmwMfdM5Hxbq
 je1WDUigxjVhqEzaUX++nv8gXeNbOGmDJdtglYKSP8pH3xqfhebkF4TeKRlVqj9KJYsV
 V1VQ==
X-Gm-Message-State: AOAM533hKUMsKx6M1zAtGJiiZN9D9nn0tj02HeE6qOcNhiuMAMBBDswU
 yWNIDpBrn1sLbdX0yRhSNGZrVl39hkrYNA==
X-Google-Smtp-Source: ABdhPJxf8y3wswWe/X23y0MTx8/PJZ0VblakIssDhmeLpaN3alvbARF7g3ePVdQxgoOorKv/rO46VA==
X-Received: by 2002:a17:90a:fd8d:: with SMTP id
 cx13mr5315700pjb.138.1605017069129; 
 Tue, 10 Nov 2020 06:04:29 -0800 (PST)
Received: from delllaptop.lockywolf.net (vultr-seoul-openbsd.lockywolf.net.
 [141.164.61.133])
 by smtp.gmail.com with ESMTPSA id 16sm14273168pfp.163.2020.11.10.06.04.26
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 10 Nov 2020 06:04:28 -0800 (PST)
User-agent: mu4e 1.4.13; emacs 27.1
From: Vladimir Nikishkin <lockywolf@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; Feature request: SRFI-62 style comments for Emacs Lisp.
Message-ID: <87sg9hwbo8.fsf@HIDDEN>
Date: Tue, 10 Nov 2020 22:04:24 +0800
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2607:f8b0:4864:20::430;
 envelope-from=lockywolf@HIDDEN; helo=mail-pf1-x430.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Honourable Emacs developers.

As Emacs Lisp is becoming more and more a general purpose and high
performance language, would the development team consider extending the
Emacs Lisp reader syntax to allow for a more flexible kind of comments?

A formal specification can be found at
https://srfi.schemers.org/srfi-62/srfi-62.html

However, and informal specification would be illustrated by the
following example:

```
#;(defvar demo-variable nil
  "This is a demo-variable declared to illustrate SRFI-62.")
```

The special reader syntax "#;" means "please, ignore the next valid
s-expression completely".
The comment itself is almost and s-expression, which allows to maintain
full homoiconicity of the source file, and manipulate the comment
contents easier.

I hope that this proposal may be useful not just for me, but for other
Emacs Lisp developers.

In GNU Emacs 27.1 (build 1, x86_64-slackware-linux-gnu, GTK+ Version 3.24.2=
2)
 of 2020-08-12 built on z-mp.slackware.lan
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Slackware 14.2 x86_64 (post 14.2 -current)

Recent messages:
Wrote /home/lockywolf/.emacs.d/init.el
Auto-saving...done
Mark set [2 times]
Saving file /home/lockywolf/.emacs.d/init.el...
Wrote /home/lockywolf/.emacs.d/init.el
(No changes need to be saved)
Found =E2=80=98; for commenting=E2=80=99 in Index.  (17 total; use =E2=80=
=98,=E2=80=99 for next)
[mu4e] Indexing... processed 270000, updated 0
scroll-up-command: End of buffer
[mu4e] Indexing completed; processed 270070, updated 0, cleaned-up 0
Quit
Configured using:
 'configure --prefix=3D/usr --sysconfdir=3D/etc --localstatedir=3D/var
--program-prefix=3D --program-suffix=3D --mandir=3D/usr/man
--infodir=3D/usr/info --without-gconf --without-gsettings --with-modules
--with-x --with-x-toolkit=3Dgtk3 --build=3Dx86_64-slackware-linux
'CFLAGS=3D-O2 -fPIC''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GLIB NOTIFY INOTIFY ACL GNUTLS
LIBXML2 FREETYPE HARFBUZZ XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM
MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LC_COLLATE: C
  value of $LC_TIME: en_GB.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=3DSCIM
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  erc-xdcc-mode: t
  erc-track-mode: t
  erc-spelling-mode: t
  flyspell-mode: t
  erc-sound-mode: t
  erc-services-mode: t
  erc-ring-mode: t
  erc-page-mode: t
  erc-notifications-mode: t
  erc-notify-mode: t
  erc-networks-mode: t
  erc-netsplit-mode: t
  erc-menu-mode: t
  erc-match-mode: t
  erc-log-mode: t
  erc-list-mode: t
  erc-identd-mode: t
  erc-dcc-mode: t
  erc-pcomplete-mode: t
  erc-capab-identify-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-autojoin-mode: t
  auto-insert-mode: t
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  pdf-occur-global-minor-mode: t
  form-feed-mode: t
  async-bytecomp-package-mode: t
  erc-smiley-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  erc-scrolltobottom-mode: t
  global-auto-revert-mode: t
  electric-pair-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  ido-ubiquitous-mode: t
  ido-everywhere: t
  shell-dirtrack-mode: t
  idle-org-agenda-mode: t
  override-global-mode: t
  global-discover-mode: t
  discover-mode: t
  global-company-mode: t
  company-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  global-srecode-minor-mode: t
  global-ede-mode: t
  ede-minor-mode: t
  global-semanticdb-minor-mode: t
  global-semantic-decoration-mode: t
  global-semantic-mru-bookmark-mode: t
  global-semantic-idle-completions-mode: t
  global-semantic-idle-scheduler-mode: t
  global-semantic-idle-summary-mode: t
  global-semantic-highlight-func-mode: t
  global-semantic-stickyfunc-mode: t
  semantic-mode: t
  savehist-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-layout-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  auto-save-visited-mode: t
  abbrev-mode: t

Load-path shadows:
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ledger hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-ledger
/home/lockywolf/.emacs.d/elpa/org-20201102/org-num hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/org-num
/home/lockywolf/.emacs.d/elpa/org-20201102/org-table hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/org-table
/home/lockywolf/.emacs.d/elpa/org-20201102/org-duration hides /home/lockywo=
lf/.emacs.d/elpa/org-plus-contrib-20201102/org-duration
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-awk hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-awk
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-tangle hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-tangle
/home/lockywolf/.emacs.d/elpa/org-20201102/org-id hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/org-id
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-calc hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-calc
/home/lockywolf/.emacs.d/elpa/org-20201102/org-element hides /home/lockywol=
f/.emacs.d/elpa/org-plus-contrib-20201102/org-element
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-perl hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-perl
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-js hides /home/lockywolf/.ema=
cs.d/elpa/org-plus-contrib-20201102/ob-js
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-lilypond hides /home/lockywol=
f/.emacs.d/elpa/org-plus-contrib-20201102/ob-lilypond
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ebnf hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-ebnf
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-eshell hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-eshell
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-mscgen hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-mscgen
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-scheme hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-scheme
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-exp hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-exp
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-beamer hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ox-beamer
/home/lockywolf/.emacs.d/elpa/org-20201102/org-agenda hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/org-agenda
/home/lockywolf/.emacs.d/elpa/org-20201102/org-clock hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/org-clock
/home/lockywolf/.emacs.d/elpa/org-20201102/org-ctags hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/org-ctags
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-sass hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-sass
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-R hides /home/lockywolf/.emac=
s.d/elpa/org-plus-contrib-20201102/ob-R
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ref hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-ref
/home/lockywolf/.emacs.d/elpa/org-20201102/org-tempo hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/org-tempo
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-rmail hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/ol-rmail
/home/lockywolf/.emacs.d/elpa/org-20201102/org-pcomplete hides /home/lockyw=
olf/.emacs.d/elpa/org-plus-contrib-20201102/org-pcomplete
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-ascii hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/ox-ascii
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-texinfo hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/ox-texinfo
/home/lockywolf/.emacs.d/elpa/org-20201102/org-src hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/org-src
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-html hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ox-html
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-sqlite hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-sqlite
/home/lockywolf/.emacs.d/elpa/org-20201102/org-inlinetask hides /home/locky=
wolf/.emacs.d/elpa/org-plus-contrib-20201102/org-inlinetask
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-icalendar hides /home/lockywo=
lf/.emacs.d/elpa/org-plus-contrib-20201102/ox-icalendar
/home/lockywolf/.emacs.d/elpa/org-20201102/org-attach-git hides /home/locky=
wolf/.emacs.d/elpa/org-plus-contrib-20201102/org-attach-git
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-docview hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/ol-docview
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-mhe hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ol-mhe
/home/lockywolf/.emacs.d/elpa/org-20201102/org-goto hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/org-goto
/home/lockywolf/.emacs.d/elpa/org-20201102/org hides /home/lockywolf/.emacs=
.d/elpa/org-plus-contrib-20201102/org
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-sed hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-sed
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-vala hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-vala
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-processing hides /home/lockyw=
olf/.emacs.d/elpa/org-plus-contrib-20201102/ob-processing
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-clojure hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/ob-clojure
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-picolisp hides /home/lockywol=
f/.emacs.d/elpa/org-plus-contrib-20201102/ob-picolisp
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-fortran hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/ob-fortran
/home/lockywolf/.emacs.d/elpa/org-20201102/org-version hides /home/lockywol=
f/.emacs.d/elpa/org-plus-contrib-20201102/org-version
/home/lockywolf/.emacs.d/elpa/org-20201102/org-indent hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/org-indent
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-screen hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-screen
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-org hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ox-org
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-forth hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/ob-forth
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-maxima hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-maxima
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-lua hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-lua
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-abc hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-abc
/home/lockywolf/.emacs.d/elpa/org-20201102/org-datetree hides /home/lockywo=
lf/.emacs.d/elpa/org-plus-contrib-20201102/org-datetree
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-gnus hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ol-gnus
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-groovy hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-groovy
/home/lockywolf/.emacs.d/elpa/org-20201102/org-macro hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/org-macro
/home/lockywolf/.emacs.d/elpa/org-20201102/org-protocol hides /home/lockywo=
lf/.emacs.d/elpa/org-plus-contrib-20201102/org-protocol
/home/lockywolf/.emacs.d/elpa/org-20201102/org-archive hides /home/lockywol=
f/.emacs.d/elpa/org-plus-contrib-20201102/org-archive
/home/lockywolf/.emacs.d/elpa/org-20201102/org-compat hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/org-compat
/home/lockywolf/.emacs.d/elpa/org-20201102/ob hides /home/lockywolf/.emacs.=
d/elpa/org-plus-contrib-20201102/ob
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ocaml hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/ob-ocaml
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-core hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-core
/home/lockywolf/.emacs.d/elpa/org-20201102/org-attach hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/org-attach
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-octave hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-octave
/home/lockywolf/.emacs.d/elpa/org-20201102/org-install hides /home/lockywol=
f/.emacs.d/elpa/org-plus-contrib-20201102/org-install
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-bbdb hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ol-bbdb
/home/lockywolf/.emacs.d/elpa/org-20201102/org-crypt hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/org-crypt
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-publish hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/ox-publish
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-makefile hides /home/lockywol=
f/.emacs.d/elpa/org-plus-contrib-20201102/ob-makefile
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-latex hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/ob-latex
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-asymptote hides /home/lockywo=
lf/.emacs.d/elpa/org-plus-contrib-20201102/ob-asymptote
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-lob hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-lob
/home/lockywolf/.emacs.d/elpa/org-20201102/org-keys hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/org-keys
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-dot hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-dot
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-coq hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-coq
/home/lockywolf/.emacs.d/elpa/org-20201102/org-list hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/org-list
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-eval hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-eval
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-shen hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-shen
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-info hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ol-info
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-plantuml hides /home/lockywol=
f/.emacs.d/elpa/org-plus-contrib-20201102/ob-plantuml
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-md hides /home/lockywolf/.ema=
cs.d/elpa/org-plus-contrib-20201102/ox-md
/home/lockywolf/.emacs.d/elpa/org-20201102/org-capture hides /home/lockywol=
f/.emacs.d/elpa/org-plus-contrib-20201102/org-capture
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-java hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-java
/home/lockywolf/.emacs.d/elpa/org-20201102/org-timer hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/org-timer
/home/lockywolf/.emacs.d/elpa/org-20201102/org-entities hides /home/lockywo=
lf/.emacs.d/elpa/org-plus-contrib-20201102/org-entities
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-table hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/ob-table
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ruby hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-ruby
/home/lockywolf/.emacs.d/elpa/org-20201102/org-loaddefs hides /home/lockywo=
lf/.emacs.d/elpa/org-plus-contrib-20201102/org-loaddefs
/home/lockywolf/.emacs.d/elpa/org-20201102/ox hides /home/lockywolf/.emacs.=
d/elpa/org-plus-contrib-20201102/ox
/home/lockywolf/.emacs.d/elpa/org-20201102/org-mobile hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/org-mobile
/home/lockywolf/.emacs.d/elpa/org-20201102/org-feed hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/org-feed
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-w3m hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ol-w3m
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-python hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-python
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-gnuplot hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/ob-gnuplot
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-stan hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-stan
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-C hides /home/lockywolf/.emac=
s.d/elpa/org-plus-contrib-20201102/ob-C
/home/lockywolf/.emacs.d/elpa/org-20201102/org-faces hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/org-faces
/home/lockywolf/.emacs.d/elpa/org-20201102/org-habit hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/org-habit
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-org hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-org
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-latex hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/ox-latex
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-comint hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-comint
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-eshell hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ol-eshell
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-lisp hides /home/lockywolf/.e=
macs.d/elpa/org-plus-contrib-20201102/ob-lisp
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-man hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ox-man
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-J hides /home/lockywolf/.emac=
s.d/elpa/org-plus-contrib-20201102/ob-J
/home/lockywolf/.emacs.d/elpa/org-20201102/org-mouse hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/org-mouse
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ditaa hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/ob-ditaa
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-hledger hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/ob-hledger
/home/lockywolf/.emacs.d/elpa/org-20201102/org-colview hides /home/lockywol=
f/.emacs.d/elpa/org-plus-contrib-20201102/org-colview
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-io hides /home/lockywolf/.ema=
cs.d/elpa/org-plus-contrib-20201102/ob-io
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-eww hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ol-eww
/home/lockywolf/.emacs.d/elpa/org-20201102/ol hides /home/lockywolf/.emacs.=
d/elpa/org-plus-contrib-20201102/ol
/home/lockywolf/.emacs.d/elpa/org-20201102/org-lint hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/org-lint
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-bibtex hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ol-bibtex
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-irc hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ol-irc
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-css hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-css
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-sql hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ob-sql
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-shell hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/ob-shell
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-matlab hides /home/lockywolf/=
.emacs.d/elpa/org-plus-contrib-20201102/ob-matlab
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-haskell hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/ob-haskell
/home/lockywolf/.emacs.d/elpa/org-20201102/org-macs hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/org-macs
/home/lockywolf/.emacs.d/elpa/org-20201102/org-plot hides /home/lockywolf/.=
emacs.d/elpa/org-plus-contrib-20201102/org-plot
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-odt hides /home/lockywolf/.em=
acs.d/elpa/org-plus-contrib-20201102/ox-odt
/home/lockywolf/.emacs.d/elpa/org-20201102/org-refile hides /home/lockywolf=
/.emacs.d/elpa/org-plus-contrib-20201102/org-refile
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-emacs-lisp hides /home/lockyw=
olf/.emacs.d/elpa/org-plus-contrib-20201102/ob-emacs-lisp
/home/lockywolf/.emacs.d/elpa/org-20201102/org-footnote hides /home/lockywo=
lf/.emacs.d/elpa/org-plus-contrib-20201102/org-footnote
/home/lockywolf/.emacs.d/elpa/company-cmake-0.1/company-cmake hides /home/l=
ockywolf/.emacs.d/elpa/company-20201028.136/company-cmake
/home/lockywolf/.emacs.d/elpa/org-20201102/ox hides /usr/share/emacs/27.1/l=
isp/org/ox
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-texinfo hides /usr/share/emac=
s/27.1/lisp/org/ox-texinfo
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-publish hides /usr/share/emac=
s/27.1/lisp/org/ox-publish
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-org hides /usr/share/emacs/27=
.1/lisp/org/ox-org
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-odt hides /usr/share/emacs/27=
.1/lisp/org/ox-odt
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-md hides /usr/share/emacs/27.=
1/lisp/org/ox-md
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-man hides /usr/share/emacs/27=
.1/lisp/org/ox-man
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-icalendar hides /usr/share/em=
acs/27.1/lisp/org/ox-icalendar
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-html hides /usr/share/emacs/2=
7.1/lisp/org/ox-html
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-ascii hides /usr/share/emacs/=
27.1/lisp/org/ox-ascii
/home/lockywolf/.emacs.d/elpa/org-20201102/org-timer hides /usr/share/emacs=
/27.1/lisp/org/org-timer
/home/lockywolf/.emacs.d/elpa/org-20201102/org-tempo hides /usr/share/emacs=
/27.1/lisp/org/org-tempo
/home/lockywolf/.emacs.d/elpa/org-20201102/org-table hides /usr/share/emacs=
/27.1/lisp/org/org-table
/home/lockywolf/.emacs.d/elpa/org-20201102/org-protocol hides /usr/share/em=
acs/27.1/lisp/org/org-protocol
/home/lockywolf/.emacs.d/elpa/org-20201102/org-plot hides /usr/share/emacs/=
27.1/lisp/org/org-plot
/home/lockywolf/.emacs.d/elpa/org-20201102/org-pcomplete hides /usr/share/e=
macs/27.1/lisp/org/org-pcomplete
/home/lockywolf/.emacs.d/elpa/org-20201102/org-num hides /usr/share/emacs/2=
7.1/lisp/org/org-num
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-latex hides /usr/share/emacs/=
27.1/lisp/org/ox-latex
/home/lockywolf/.emacs.d/elpa/org-20201102/ox-beamer hides /usr/share/emacs=
/27.1/lisp/org/ox-beamer
/home/lockywolf/.emacs.d/elpa/org-20201102/org hides /usr/share/emacs/27.1/=
lisp/org/org
/home/lockywolf/.emacs.d/elpa/org-20201102/org-version hides /usr/share/ema=
cs/27.1/lisp/org/org-version
/home/lockywolf/.emacs.d/elpa/org-20201102/org-src hides /usr/share/emacs/2=
7.1/lisp/org/org-src
/home/lockywolf/.emacs.d/elpa/org-20201102/org-mouse hides /usr/share/emacs=
/27.1/lisp/org/org-mouse
/home/lockywolf/.emacs.d/elpa/org-20201102/org-mobile hides /usr/share/emac=
s/27.1/lisp/org/org-mobile
/home/lockywolf/.emacs.d/elpa/org-20201102/org-macs hides /usr/share/emacs/=
27.1/lisp/org/org-macs
/home/lockywolf/.emacs.d/elpa/org-20201102/org-macro hides /usr/share/emacs=
/27.1/lisp/org/org-macro
/home/lockywolf/.emacs.d/elpa/org-20201102/org-loaddefs hides /usr/share/em=
acs/27.1/lisp/org/org-loaddefs
/home/lockywolf/.emacs.d/elpa/org-20201102/org-list hides /usr/share/emacs/=
27.1/lisp/org/org-list
/home/lockywolf/.emacs.d/elpa/org-20201102/org-lint hides /usr/share/emacs/=
27.1/lisp/org/org-lint
/home/lockywolf/.emacs.d/elpa/org-20201102/org-keys hides /usr/share/emacs/=
27.1/lisp/org/org-keys
/home/lockywolf/.emacs.d/elpa/org-20201102/org-install hides /usr/share/ema=
cs/27.1/lisp/org/org-install
/home/lockywolf/.emacs.d/elpa/org-20201102/org-inlinetask hides /usr/share/=
emacs/27.1/lisp/org/org-inlinetask
/home/lockywolf/.emacs.d/elpa/org-20201102/org-indent hides /usr/share/emac=
s/27.1/lisp/org/org-indent
/home/lockywolf/.emacs.d/elpa/org-20201102/org-id hides /usr/share/emacs/27=
.1/lisp/org/org-id
/home/lockywolf/.emacs.d/elpa/org-20201102/org-habit hides /usr/share/emacs=
/27.1/lisp/org/org-habit
/home/lockywolf/.emacs.d/elpa/org-20201102/org-goto hides /usr/share/emacs/=
27.1/lisp/org/org-goto
/home/lockywolf/.emacs.d/elpa/org-20201102/org-footnote hides /usr/share/em=
acs/27.1/lisp/org/org-footnote
/home/lockywolf/.emacs.d/elpa/org-20201102/org-feed hides /usr/share/emacs/=
27.1/lisp/org/org-feed
/home/lockywolf/.emacs.d/elpa/org-20201102/org-faces hides /usr/share/emacs=
/27.1/lisp/org/org-faces
/home/lockywolf/.emacs.d/elpa/org-20201102/org-entities hides /usr/share/em=
acs/27.1/lisp/org/org-entities
/home/lockywolf/.emacs.d/elpa/org-20201102/org-element hides /usr/share/ema=
cs/27.1/lisp/org/org-element
/home/lockywolf/.emacs.d/elpa/org-20201102/org-duration hides /usr/share/em=
acs/27.1/lisp/org/org-duration
/home/lockywolf/.emacs.d/elpa/org-20201102/org-datetree hides /usr/share/em=
acs/27.1/lisp/org/org-datetree
/home/lockywolf/.emacs.d/elpa/org-20201102/org-ctags hides /usr/share/emacs=
/27.1/lisp/org/org-ctags
/home/lockywolf/.emacs.d/elpa/org-20201102/org-crypt hides /usr/share/emacs=
/27.1/lisp/org/org-crypt
/home/lockywolf/.emacs.d/elpa/org-20201102/org-compat hides /usr/share/emac=
s/27.1/lisp/org/org-compat
/home/lockywolf/.emacs.d/elpa/org-20201102/org-colview hides /usr/share/ema=
cs/27.1/lisp/org/org-colview
/home/lockywolf/.emacs.d/elpa/org-20201102/org-clock hides /usr/share/emacs=
/27.1/lisp/org/org-clock
/home/lockywolf/.emacs.d/elpa/org-20201102/org-capture hides /usr/share/ema=
cs/27.1/lisp/org/org-capture
/home/lockywolf/.emacs.d/elpa/org-20201102/org-attach hides /usr/share/emac=
s/27.1/lisp/org/org-attach
/home/lockywolf/.emacs.d/elpa/org-20201102/org-attach-git hides /usr/share/=
emacs/27.1/lisp/org/org-attach-git
/home/lockywolf/.emacs.d/elpa/org-20201102/org-archive hides /usr/share/ema=
cs/27.1/lisp/org/org-archive
/home/lockywolf/.emacs.d/elpa/org-20201102/org-agenda hides /usr/share/emac=
s/27.1/lisp/org/org-agenda
/home/lockywolf/.emacs.d/elpa/org-20201102/ol hides /usr/share/emacs/27.1/l=
isp/org/ol
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-w3m hides /usr/share/emacs/27=
.1/lisp/org/ol-w3m
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-rmail hides /usr/share/emacs/=
27.1/lisp/org/ol-rmail
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-mhe hides /usr/share/emacs/27=
.1/lisp/org/ol-mhe
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-irc hides /usr/share/emacs/27=
.1/lisp/org/ol-irc
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-info hides /usr/share/emacs/2=
7.1/lisp/org/ol-info
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-gnus hides /usr/share/emacs/2=
7.1/lisp/org/ol-gnus
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-eww hides /usr/share/emacs/27=
.1/lisp/org/ol-eww
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-eshell hides /usr/share/emacs=
/27.1/lisp/org/ol-eshell
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-docview hides /usr/share/emac=
s/27.1/lisp/org/ol-docview
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-bibtex hides /usr/share/emacs=
/27.1/lisp/org/ol-bibtex
/home/lockywolf/.emacs.d/elpa/org-20201102/ol-bbdb hides /usr/share/emacs/2=
7.1/lisp/org/ol-bbdb
/home/lockywolf/.emacs.d/elpa/org-20201102/ob hides /usr/share/emacs/27.1/l=
isp/org/ob
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-vala hides /usr/share/emacs/2=
7.1/lisp/org/ob-vala
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-tangle hides /usr/share/emacs=
/27.1/lisp/org/ob-tangle
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-table hides /usr/share/emacs/=
27.1/lisp/org/ob-table
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-stan hides /usr/share/emacs/2=
7.1/lisp/org/ob-stan
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-sqlite hides /usr/share/emacs=
/27.1/lisp/org/ob-sqlite
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-sql hides /usr/share/emacs/27=
.1/lisp/org/ob-sql
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-shen hides /usr/share/emacs/2=
7.1/lisp/org/ob-shen
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-shell hides /usr/share/emacs/=
27.1/lisp/org/ob-shell
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-sed hides /usr/share/emacs/27=
.1/lisp/org/ob-sed
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-screen hides /usr/share/emacs=
/27.1/lisp/org/ob-screen
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-scheme hides /usr/share/emacs=
/27.1/lisp/org/ob-scheme
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-sass hides /usr/share/emacs/2=
7.1/lisp/org/ob-sass
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ruby hides /usr/share/emacs/2=
7.1/lisp/org/ob-ruby
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ref hides /usr/share/emacs/27=
.1/lisp/org/ob-ref
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-python hides /usr/share/emacs=
/27.1/lisp/org/ob-python
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-processing hides /usr/share/e=
macs/27.1/lisp/org/ob-processing
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-plantuml hides /usr/share/ema=
cs/27.1/lisp/org/ob-plantuml
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-picolisp hides /usr/share/ema=
cs/27.1/lisp/org/ob-picolisp
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-perl hides /usr/share/emacs/2=
7.1/lisp/org/ob-perl
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-org hides /usr/share/emacs/27=
.1/lisp/org/ob-org
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-octave hides /usr/share/emacs=
/27.1/lisp/org/ob-octave
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ocaml hides /usr/share/emacs/=
27.1/lisp/org/ob-ocaml
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-mscgen hides /usr/share/emacs=
/27.1/lisp/org/ob-mscgen
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-maxima hides /usr/share/emacs=
/27.1/lisp/org/ob-maxima
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-matlab hides /usr/share/emacs=
/27.1/lisp/org/ob-matlab
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-makefile hides /usr/share/ema=
cs/27.1/lisp/org/ob-makefile
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-lua hides /usr/share/emacs/27=
.1/lisp/org/ob-lua
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-lob hides /usr/share/emacs/27=
.1/lisp/org/ob-lob
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-lisp hides /usr/share/emacs/2=
7.1/lisp/org/ob-lisp
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-lilypond hides /usr/share/ema=
cs/27.1/lisp/org/ob-lilypond
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ledger hides /usr/share/emacs=
/27.1/lisp/org/ob-ledger
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-latex hides /usr/share/emacs/=
27.1/lisp/org/ob-latex
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-js hides /usr/share/emacs/27.=
1/lisp/org/ob-js
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-java hides /usr/share/emacs/2=
7.1/lisp/org/ob-java
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-io hides /usr/share/emacs/27.=
1/lisp/org/ob-io
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-hledger hides /usr/share/emac=
s/27.1/lisp/org/ob-hledger
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-haskell hides /usr/share/emac=
s/27.1/lisp/org/ob-haskell
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-groovy hides /usr/share/emacs=
/27.1/lisp/org/ob-groovy
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-gnuplot hides /usr/share/emac=
s/27.1/lisp/org/ob-gnuplot
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-fortran hides /usr/share/emac=
s/27.1/lisp/org/ob-fortran
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-forth hides /usr/share/emacs/=
27.1/lisp/org/ob-forth
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-exp hides /usr/share/emacs/27=
.1/lisp/org/ob-exp
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-eval hides /usr/share/emacs/2=
7.1/lisp/org/ob-eval
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-eshell hides /usr/share/emacs=
/27.1/lisp/org/ob-eshell
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-emacs-lisp hides /usr/share/e=
macs/27.1/lisp/org/ob-emacs-lisp
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ebnf hides /usr/share/emacs/2=
7.1/lisp/org/ob-ebnf
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-dot hides /usr/share/emacs/27=
.1/lisp/org/ob-dot
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-ditaa hides /usr/share/emacs/=
27.1/lisp/org/ob-ditaa
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-css hides /usr/share/emacs/27=
.1/lisp/org/ob-css
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-core hides /usr/share/emacs/2=
7.1/lisp/org/ob-core
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-coq hides /usr/share/emacs/27=
.1/lisp/org/ob-coq
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-comint hides /usr/share/emacs=
/27.1/lisp/org/ob-comint
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-clojure hides /usr/share/emac=
s/27.1/lisp/org/ob-clojure
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-calc hides /usr/share/emacs/2=
7.1/lisp/org/ob-calc
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-awk hides /usr/share/emacs/27=
.1/lisp/org/ob-awk
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-asymptote hides /usr/share/em=
acs/27.1/lisp/org/ob-asymptote
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-abc hides /usr/share/emacs/27=
.1/lisp/org/ob-abc
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-R hides /usr/share/emacs/27.1=
/lisp/org/ob-R
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-J hides /usr/share/emacs/27.1=
/lisp/org/ob-J
/home/lockywolf/.emacs.d/elpa/org-20201102/ob-C hides /usr/share/emacs/27.1=
/lisp/org/ob-C
/home/lockywolf/.emacs.d/elpa/flim-20201029.232/sasl hides /usr/share/emacs=
/27.1/lisp/net/sasl

Features:
(shadow emacsbug magit-utils reftex-auc reftex-dcr reftex-global
reftex-index reftex-ref reftex-parse reftex-sel reftex-toc debug
backtrace dired-aux finder skeleton hippie-exp expand ecb-speedbar
ecb-layout ecb-create-layout ecb-compilation ecb-common-browser
ecb-navigate ecb-mode-line ecb-face tree-buffer ecb-cedet-wrapper
ecb-util ede/dired cus-dep autoload cus-theme eieio-opt cl-print
bib-cite auctex-lua lua-mode mm-archive gnutls network-stream url-cache
org-clock lisp-mnt time-stamp misearch multi-isearch ffap view cal-china
lunar solar cal-dst cal-bahai cal-islam cal-hebrew holidays hol-loaddefs
diary-lib diary-loaddefs cal-iso org-duration image-file org-eldoc
cdlatex ol-eww eww mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnir
gnus-sum shr svg dom gnus-group gnus-undo gnus-start gnus-cloud nnimap
nnmail mail-source utf7 netrc nnoo parse-time iso8601 gnus-spec gnus-int
gnus-range gnus-win gnus nnheader ol-docview ol-bbdb ol-w3m org-habit
face-remap company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb erc-xdcc erc-track erc-spelling flyspell erc-sound
erc-services erc-ring erc-page erc-desktop-notifications erc-notify
erc-networks erc-netsplit erc-menu erc-match erc-log erc-list erc-identd
erc-dcc erc-pcomplete erc-capab erc-button erc-fill erc-stamp erc-join
hideshow autoinsert ispell bibtex-utils auctex-latexmk tex-buf latex
latex-flymake flymake-proc flymake tex-ispell tex-style tex texmathp
org-noter-pdftools org-pdftools pdf-occur ibuf-ext ibuffer
ibuffer-loaddefs pdf-isearch pdf-annot tablist tablist-filter
semantic/wisent/comp pdf-misc imenu org-id org-noter pdf-tools pdf-view
bookmark pdf-cache pdf-info tq pdf-util org-ref org-ref-helm-bibtex
org-ref-helm helm-utils helm-bibtex bibtex-completion org-capture biblio
biblio-download biblio-dissemin biblio-ieee biblio-hal biblio-dblp
biblio-crossref biblio-arxiv biblio-doi biblio-core let-alist url-queue
helm-net helm-help helm-config org-ref-core warnings reftex-cite
org-ref-glossary org-ref-bibtex semantic/tag-file form-feed
semantic/db-file data-debug cedet-files org-ref-citeproc key-chord hydra
lv doi-utils org-ref-utils org-ref-pdf url-http url url-proxy
url-privacy url-expand url-methods url-history mailcap url-auth
url-cookie url-domsuf url-util url-gw nsm ol-bibtex htmlize f s org-ebib
ebib ebib-reading-list ebib-notes ebib-filters ebib-keywords ebib-utils
ebib-db parsebib crm bibtex reftex reftex-loaddefs reftex-vars khardel
yaml-mode vdirel helm async-bytecomp helm-global-bindings helm-easymenu
helm-source eieio-compat helm-multi-match helm-lib async org-vcard
sauron-ams-org sauron-elfeed sauron-identica sauron-jabber sauron-mu4e
sauron-twittering sauron-notifications notifications sauron-org
sauron-erc erc-goodies erc erc-backend erc-compat erc-loaddefs
sauron-dbus sauron cl bbdb bbdb-site timezone gnus-dired mu4e desktop
frameset mu4e-org mu4e-main mu4e-view thingatpt mu4e-headers
mu4e-compose mu4e-context mu4e-draft mu4e-actions rfc2368 mu4e-mark
mu4e-message flow-fill mu4e-proc mu4e-utils doc-view jka-compr
image-mode exif mu4e-lists mule-util hl-line mu4e-vars message rmc puny
dired-x dired dired-loaddefs rfc822 mml mml-sec epa derived epg
epg-config gnus-util rmail rmail-loaddefs text-property-search mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
mu4e-meta smtpmail-multi smtpmail sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils autorevert filenotify prettify-greek
elec-pair keywiz gamegrid display-line-numbers hi-lock org-tempo tempo
secrets dbus ido-completing-read+ memoize minibuf-eldef ido xml
ox-beamer ox-org ox-md ox-odt rng-loc rng-uri rng-parse rng-match rng-dt
rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox org-element avl-tree
ob-fortran ob-shell shell ob-latex ob-scheme geiser-impl help-fns
radix-tree geiser-custom geiser-base ob-C ob-plantuml org-protocol
idle-org-agenda org-agenda org-refile org ob ob-tangle ob-ref ob-lob
ob-table ob-exp org-macro org-footnote org-src ob-comint org-pcomplete
pcomplete org-list org-faces org-entities time-date foldout noutline
outline org-version ob-emacs-lisp ob-core ob-eval org-table org-keys
org-loaddefs cal-menu calendar cal-loaddefs ol org-compat advice
org-macs format-spec use-package-bind-key bind-key easy-mmode mic-paren
discover makey paredit-menu paredit geiser manoj-dark-theme company
pcase ggtags compile comint ewoc flycheck-clang-analyzer flycheck
ansi-color rx dash cl-extra help-mode use-package-ensure
use-package-core function-args semantic-directory semantic/ia ivy delsel
ivy-faces ivy-overlay colir color etags fileloop generator xref project
edmacro kmacro srecode/mode semantic/senator semantic/wisent
semantic/wisent/wisent srecode/insert srecode/filters srecode/args
ede/speedbar ede/files ede ede/detect ede/base ede/auto ede/source
eieio-speedbar speedbar sb-image dframe eieio-custom srecode/find
srecode/map srecode/ctxt srecode/compile srecode/dictionary
srecode/fields srecode/table srecode semantic/db-mode semantic/bovine/c
hideif cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align
cc-engine cc-vars cc-defs semantic/bovine/c-by semantic/lex-spp
semantic/bovine/gcc semantic/dep semantic/bovine semantic/analyze/refs
semantic/db-find semantic/db-ref semantic/decorate/mode
semantic/decorate pulse semantic/mru-bookmark ring semantic/idle
semantic/analyze semantic/sort semantic/scope semantic/analyze/fcn
semantic/db eieio-base semantic/format ezimage semantic/tag-ls
semantic/find semantic/ctxt semantic/util-modes semantic/util semantic
pp semantic/tag semantic/lex semantic/fw mode-local find-func cedet
hamburger-menu tmm savehist cus-edit wid-edit cus-start cus-load server
finder-inf tex-site org2blog-autoloads slime-autoloads w3m-load info
package easymenu browse-url url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 2640822 123710)
 (symbols 48 69587 1)
 (strings 32 348665 27737)
 (string-bytes 1 11746856)
 (vectors 16 122136)
 (vector-slots 8 2341003 99070)
 (floats 8 1192 508)
 (intervals 56 142598 3435)
 (buffers 1000 38))

--=20
Vladimir Nikishkin (MiEr, lockywolf)
(Laptop)




Acknowledgement sent to Vladimir Nikishkin <lockywolf@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44554; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 12 Nov 2020 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.